// ------------------------------------------------------------------
// Persistence of Vision Ray Tracer Include File 
// Reflective Spectral Data library for PoV-Ray
// ------------------------------------------------------------------
// adapted from ASTER
// http://speclib.jpl.nasa.gov/
// ------------------------------------------------------------------
// Reproduced from the ASTER Spectral Library through the courtesy of
// the Jet Propulsion Laboratory, California  Institute of Technology,
// Pasadena, California. 
// Copyright [encircled "c"] 1999, California Institute of Technology. 
// ALL RIGHTS RESERVED. 
// ------------------------------------------------------------------
/*

  Measurement:  Directional (10 Degree) Hemispherical Reflectance
  -----------
    First Column:  Wavelength (nanometers)
    Second Column: Reflectance (0.0 - 1.0)  
  
  Content:    
  -------
  Man made materials:
    RS_Construction_Concrete_1
    RS_Construction_Concrete_2
    RS_Construction_Concrete_3
    RS_Construction_Concrete_4
    RS_Construction_Asphalt
    RS_Construction_Asphalt_2
    RS_Construction_Asphalt_3
    RS_Construction_Tar
    RS_Construction_Tar_2
    RS_Red_smooth_faced_Brick
    RS_Weathered_Red_Brick
    RS_Bare_Red_Brick
    RS_Cinders_ashen
    RS_Plate_Window_Glass
    RS_Aluminum_Metal
    RS_Galvanized_Steel_Metal
    RS_Oxidized_Galvanized_Steel_Metal
    RS_Copper_Metal
    RS_Copper_Metal_2
    RS_Olive_green_paint
    RS_Olive_green_gloss_paint
    RS_Black_paint
    RS_Black_gloss_paint
    RS_Black_unspecified_rubber
    RS_White_rubberized_coating
    RS_White_fiberglass_unspecified_rubber
    RS_Pine_Wood_1
    RS_Pine_Wood_2
    RS_Black_tar_paper
    RS_Terra_Cotta_Tiles
    RS_White_Marble
    
  Water, snow and ice:
    RS_Tap_water
    RS_Fine_Snow  
    RS_Medium_Granular_Snow
    RS_Ice
    RS_Frost
 
  Vegetation:
    RS_Dry_grass
    RS_Grass 
    RS_Conifer
    RS_Decidous

*/

// Standard include file beginning stuff 
#ifndef (rspd_aster_Inc_Temp)
#declare rspd_aster_Inc_Temp = version;
#version 3.5;

#ifdef(View_POV_Include_Stack)
  #debug "Including rspd_aster.inc\n"
#end                   

// ==================================================================

#declare RS_Construction_Concrete_1 = spline{ linear_spline
/*
Name:  Construction  Concrete 
Type:  Manmade materials
Class:  Concretes  
Subclass: Paving Concretes 
Particle Size: Solid
Sample No.  0092UUU.CNC
Owner: National Photographic Interpretation Center
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center. 
*/
 420, 0.2912, 422, 0.2839, 424, 0.2857, 426, 0.2857, 428, 0.2878,
 430, 0.2878, 432, 0.2891, 434, 0.2898, 436, 0.2908, 438, 0.2919,
 440, 0.2921, 442, 0.2932, 444, 0.2942, 446, 0.2950, 448, 0.2958,
 450, 0.2967, 452, 0.2973, 454, 0.2982, 456, 0.2989, 458, 0.2992,
 460, 0.2999, 462, 0.3006, 464, 0.3010, 466, 0.3018, 468, 0.3023,
 470, 0.3028, 472, 0.3035, 474, 0.3042, 476, 0.3047, 478, 0.3054,
 480, 0.3060, 482, 0.3067, 484, 0.3073, 486, 0.3080, 488, 0.3087,
 490, 0.3095, 492, 0.3103, 494, 0.3111, 496, 0.3118, 498, 0.3126,
 500, 0.3135, 502, 0.3143, 504, 0.3152, 506, 0.3160, 508, 0.3168,
 510, 0.3176, 512, 0.3184, 514, 0.3193, 516, 0.3202, 518, 0.3210,
 520, 0.3219, 522, 0.3226, 524, 0.3235, 526, 0.3242, 528, 0.3249,
 530, 0.3255, 532, 0.3261, 534, 0.3268, 536, 0.3277, 538, 0.3284,
 540, 0.3292, 542, 0.3300, 544, 0.3308, 546, 0.3315, 548, 0.3322,
 550, 0.3329, 552, 0.3334, 554, 0.3340, 556, 0.3345, 558, 0.3350,
 560, 0.3357, 562, 0.3369, 564, 0.3380, 566, 0.3384, 568, 0.3381,
 570, 0.3377, 572, 0.3379, 574, 0.3389, 576, 0.3401, 578, 0.3408,
 580, 0.3410, 582, 0.3410, 584, 0.3412, 586, 0.3419, 588, 0.3426,
 590, 0.3432, 592, 0.3433, 594, 0.3433, 596, 0.3438, 598, 0.3450,
 600, 0.3464, 602, 0.3472, 604, 0.3469, 606, 0.3460, 608, 0.3452,
 610, 0.3452, 612, 0.3462, 614, 0.3473, 616, 0.3481, 618, 0.3483,
 620, 0.3481, 622, 0.3480, 624, 0.3479, 626, 0.3480, 628, 0.3482,
 630, 0.3486, 632, 0.3490, 634, 0.3495, 636, 0.3499, 638, 0.3503,
 640, 0.3506, 642, 0.3508, 644, 0.3510, 646, 0.3510, 648, 0.3505,
 650, 0.3497, 652, 0.3491, 654, 0.3493, 656, 0.3503, 658, 0.3515,
 660, 0.3521, 662, 0.3516, 664, 0.3507, 666, 0.3502, 668, 0.3508,
 670, 0.3519, 672, 0.3530, 674, 0.3534, 676, 0.3529, 678, 0.3521,
 680, 0.3513, 682, 0.3511, 684, 0.3515, 686, 0.3523, 688, 0.3531,
 690, 0.3538, 692, 0.3541, 694, 0.3542, 696, 0.3546, 698, 0.3548,
 700, 0.3550, 702, 0.3551, 704, 0.3555, 706, 0.3557, 708, 0.3559,
 710, 0.3561, 712, 0.3561, 714, 0.3563, 716, 0.3566, 718, 0.3568,
 720, 0.3570, 722, 0.3571, 724, 0.3571, 726, 0.3573, 728, 0.3575,
 730, 0.3576, 732, 0.3579, 734, 0.3579, 736, 0.3580, 738, 0.3583,
 740, 0.3583, 742, 0.3585, 744, 0.3587, 746, 0.3587, 748, 0.3588,
 750, 0.3589, 752, 0.3590, 754, 0.3591, 756, 0.3594, 758, 0.3594,
 760, 0.3595
}

#declare RS_Construction_Concrete_2 = spline{ linear_spline
/*
Name:  Construction  Concrete 
Type:  Manmade materials
Class:  Concretes  
Subclass: Construction Concrete 
Particle Size: Solid
Sample No.:  0598UUUCNC
Owner:  National Photographic Interpretation Center 
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center. 
Description:  Approximately 30-year-old runway construction 
concrete with (mostly granite) aggregate showing. Sample was light 
gray and weathered.
*/
380, 0.1401,
382, 0.1415,
384, 0.1430,
386, 0.1445,
388, 0.1460,
390, 0.1474,
392, 0.1489,
394, 0.1502,
396, 0.1516,
398, 0.1530,
400, 0.1543,
402, 0.1556,
404, 0.1568,
406, 0.1581,
408, 0.1593,
410, 0.1605,
412, 0.1618,
414, 0.1630,
416, 0.1643,
418, 0.1656,
420, 0.1669,
422, 0.1683,
424, 0.1697,
426, 0.1711,
428, 0.1726,
430, 0.1741,
432, 0.1756,
434, 0.1772,
436, 0.1787,
438, 0.1803,
440, 0.1818,
442, 0.1832,
444, 0.1847,
446, 0.1862,
448, 0.1875,
450, 0.1888,
452, 0.1901,
454, 0.1912,
456, 0.1923,
458, 0.1933,
460, 0.1942,
462, 0.1951,
464, 0.1960,
466, 0.1970,
468, 0.1979,
470, 0.1988,
472, 0.1997,
474, 0.2006,
476, 0.2015,
478, 0.2025,
480, 0.2036,
482, 0.2048,
484, 0.2060,
486, 0.2072,
488, 0.2084,
490, 0.2097,
492, 0.2109,
494, 0.2122,
496, 0.2134,
498, 0.2146,
500, 0.2159,
502, 0.2172,
504, 0.2185,
506, 0.2198,
508, 0.2212,
510, 0.2226,
512, 0.2241,
514, 0.2255,
516, 0.2269,
518, 0.2284,
520, 0.2299,
522, 0.2314,
524, 0.2329,
526, 0.2345,
528, 0.2360,
530, 0.2375,
532, 0.2391,
534, 0.2407,
536, 0.2423,
538, 0.2438,
540, 0.2454,
542, 0.2471,
544, 0.2488,
546, 0.2504,
548, 0.2521,
550, 0.2538,
552, 0.2556,
554, 0.2573,
556, 0.2591,
558, 0.2608,
560, 0.2626,
562, 0.2644,
564, 0.2661,
566, 0.2677,
568, 0.2694,
570, 0.2709,
572, 0.2725,
574, 0.2739,
576, 0.2753,
578, 0.2766,
580, 0.2779,
582, 0.2791,
584, 0.2803,
586, 0.2814,
588, 0.2825,
590, 0.2834,
592, 0.2844,
594, 0.2853,
596, 0.2862,
598, 0.2870,
600, 0.2877,
602, 0.2884,
604, 0.2891,
606, 0.2897,
608, 0.2903,
610, 0.2909,
612, 0.2914,
614, 0.2919,
616, 0.2924,
618, 0.2928,
620, 0.2933,
622, 0.2937,
624, 0.2941,
626, 0.2944,
628, 0.2949,
630, 0.2952,
632, 0.2956,
634, 0.2960,
636, 0.2963,
638, 0.2967,
640, 0.2970,
642, 0.2973,
644, 0.2976,
646, 0.2979,
648, 0.2983,
650, 0.2986,
652, 0.2989,
654, 0.2993,
656, 0.2996,
658, 0.3000,
660, 0.3003,
662, 0.3007,
664, 0.3010,
666, 0.3013,
668, 0.3017,
670, 0.3020,
672, 0.3023,
674, 0.3028,
676, 0.3031,
678, 0.3033,
680, 0.3036,
682, 0.3039,
684, 0.3042,
686, 0.3045,
688, 0.3047,
690, 0.3050,
692, 0.3052,
694, 0.3055,
696, 0.3058,
698, 0.3061,
700, 0.3064,
702, 0.3067,
704, 0.3069,
706, 0.3071,
708, 0.3074,
710, 0.3077,
712, 0.3079,
714, 0.3081,
716, 0.3083,
718, 0.3086,
720, 0.3087,
722, 0.3089,
724, 0.3092,
726, 0.3095,
728, 0.3096,
730, 0.3098,
732, 0.3100,
734, 0.3102,
736, 0.3104,
738, 0.3107,
740, 0.3108,
742, 0.3109,
744, 0.3112,
746, 0.3114,
748, 0.3115,
750, 0.3117,
752, 0.3118,
754, 0.3119,
756, 0.3120,
758, 0.3121,
760, 0.3122
}

#declare RS_Construction_Concrete_3 = spline{ linear_spline
/*
Name:  Construction Concrete 
Type:  Manmade materials
Class:  Concretes
Subclass: Paving Concretes 
Particle Size: Solid
Sample No.:  0397UUUCNC
Owner: National Photographic Interpretation Center 
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center. 
Description: Variegated bridge construction concrete, with quartz 
aggregate showing. Sample was gray, smooth, and clean.
*/
420, 0.286098,
422, 0.27817,
424, 0.28091,
426, 0.281958,
428, 0.285108,
430, 0.286475,
432, 0.288213,
434, 0.289753,
436, 0.29126,
438, 0.292016,
440, 0.293232,
442, 0.294567,
444, 0.295451,
446, 0.296297,
448, 0.297345,
450, 0.298006,
452, 0.298491,
454, 0.299383,
456, 0.299942,
458, 0.300431,
460, 0.300988,
462, 0.30141,
464, 0.301976,
466, 0.302424,
468, 0.302745,
470, 0.303056,
472, 0.303433,
474, 0.303869,
476, 0.304248,
478, 0.304662,
480, 0.305113,
482, 0.305649,
484, 0.306318,
486, 0.307,
488, 0.307777,
490, 0.308516,
492, 0.309363,
494, 0.310178,
496, 0.311004,
498, 0.311907,
500, 0.312691,
502, 0.313456,
504, 0.314301,
506, 0.315089,
508, 0.315707,
510, 0.316538,
512, 0.317441,
514, 0.318487,
516, 0.319504,
518, 0.320514,
520, 0.321496,
522, 0.322513,
524, 0.323443,
526, 0.32434,
528, 0.325267,
530, 0.326165,
532, 0.32716,
534, 0.328184,
536, 0.329094,
538, 0.329995,
540, 0.330794,
542, 0.331522,
544, 0.332227,
546, 0.332839,
548, 0.333409,
550, 0.333895,
552, 0.334496,
554, 0.335071,
556, 0.335767,
558, 0.336495,
560, 0.337103,
562, 0.337606,
564, 0.338266,
566, 0.33825,
568, 0.339029,
570, 0.339456,
572, 0.339638,
574, 0.34031,
576, 0.340536,
578, 0.341319,
580, 0.341259,
582, 0.342176,
584, 0.341984,
586, 0.342345,
588, 0.342486,
590, 0.342634,
592, 0.342675,
594, 0.342759,
596, 0.342967,
598, 0.342827,
600, 0.342966,
602, 0.343191,
604, 0.343322,
606, 0.3432,
608, 0.343377,
610, 0.343619,
612, 0.343371,
614, 0.34324,
616, 0.343122,
618, 0.343643,
620, 0.343715,
622, 0.343474,
624, 0.343471,
626, 0.343673,
628, 0.343444,
630, 0.343752,
632, 0.343558,
634, 0.343813,
636, 0.343659,
638, 0.343566,
640, 0.343987,
642, 0.344142,
644, 0.343819,
646, 0.3443,
648, 0.344237,
650, 0.344361,
652, 0.344594,
654, 0.345287,
656, 0.345036,
658, 0.34554,
660, 0.345428,
662, 0.345771,
664, 0.345999,
666, 0.346581,
668, 0.346611,
670, 0.346929,
672, 0.347117,
674, 0.34751,
676, 0.347768,
678, 0.348005,
680, 0.34744,
682, 0.348108,
684, 0.348401,
686, 0.34867,
688, 0.348902,
690, 0.348559,
692, 0.348756,
694, 0.348774,
696, 0.348795,
698, 0.348902,
700, 0.349072,
702, 0.349228,
704, 0.349315,
706, 0.349521,
708, 0.349636,
710, 0.349815,
712, 0.350109,
714, 0.350347,
716, 0.350621,
718, 0.350777,
720, 0.351037,
722, 0.351231,
724, 0.351411,
726, 0.351639,
728, 0.351789,
730, 0.352017,
732, 0.352217,
734, 0.352406,
736, 0.352584,
738, 0.352746,
740, 0.352872,
742, 0.353,
744, 0.353185,
746, 0.353273,
748, 0.353485,
750, 0.353571,
752, 0.353656,
754, 0.35383,
756, 0.353902,
758, 0.353923,
760, 0.354074
}

#declare RS_Construction_Concrete_4 = spline{ linear_spline
/*
Name:  Construction  Concrete 
Type:  Manmade materials
Class:  Concretes  
Subclass:  Paving Concretes 
Particle Size: Solid
Sample No.:  0424UUUCNC
Owner:  National Photographic Interpretation Center 
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center.
Description:  Variegated construction concrete, with quartz and 
limestone aggregate showing. Sample was gray, and slightly soiled. 
Concrete was from runway side strips.
*/
420, 0.181754,
422, 0.188693,
424, 0.198154,
426, 0.201899,
428, 0.196716,
430, 0.201326,
432, 0.202566,
434, 0.199878,
436, 0.19834,
438, 0.204027,
440, 0.205496,
442, 0.203685,
444, 0.206132,
446, 0.207431,
448, 0.207265,
450, 0.207871,
452, 0.20899,
454, 0.209748,
456, 0.209858,
458, 0.210144,
460, 0.211351,
462, 0.211024,
464, 0.212291,
466, 0.212622,
468, 0.212427,
470, 0.212255,
472, 0.21326,
474, 0.21397,
476, 0.214317,
478, 0.213988,
480, 0.215077,
482, 0.215028,
484, 0.215622,
486, 0.215835,
488, 0.216501,
490, 0.216851,
492, 0.217683,
494, 0.218133,
496, 0.218447,
498, 0.219075,
500, 0.219951,
502, 0.220847,
504, 0.2214,
506, 0.222469,
508, 0.22338,
510, 0.224297,
512, 0.225362,
514, 0.226224,
516, 0.22733,
518, 0.228335,
520, 0.229059,
522, 0.22947,
524, 0.229793,
526, 0.230779,
528, 0.231943,
530, 0.233586,
532, 0.2349,
534, 0.236726,
536, 0.238071,
538, 0.239772,
540, 0.241443,
542, 0.243016,
544, 0.244277,
546, 0.245445,
548, 0.246305,
550, 0.247135,
552, 0.248189,
554, 0.249767,
556, 0.25134,
558, 0.253232,
560, 0.254972,
562, 0.258063,
564, 0.26064,
566, 0.263185,
568, 0.265876,
570, 0.267985,
572, 0.270634,
574, 0.272709,
576, 0.275048,
578, 0.277142,
580, 0.279163,
582, 0.281357,
584, 0.283023,
586, 0.284771,
588, 0.286806,
590, 0.288238,
592, 0.289528,
594, 0.291216,
596, 0.292107,
598, 0.293583,
600, 0.294654,
602, 0.295994,
604, 0.296809,
606, 0.297811,
608, 0.299097,
610, 0.299914,
612, 0.300998,
614, 0.301834,
616, 0.302082,
618, 0.303017,
620, 0.303939,
622, 0.304564,
624, 0.305366,
626, 0.305542,
628, 0.306391,
630, 0.307398,
632, 0.307699,
634, 0.308284,
636, 0.309253,
638, 0.309352,
640, 0.310305,
642, 0.310807,
644, 0.311601,
646, 0.312068,
648, 0.312312,
650, 0.313155,
652, 0.313702,
654, 0.314352,
656, 0.314656,
658, 0.315623,
660, 0.316138,
662, 0.316413,
664, 0.31732,
666, 0.317885,
668, 0.318442,
670, 0.318904,
672, 0.319503,
674, 0.319913,
676, 0.320603,
678, 0.320638,
680, 0.321831,
682, 0.322138,
684, 0.322568,
686, 0.322845,
688, 0.323547,
690, 0.324006,
692, 0.32485,
694, 0.326255,
696, 0.327039,
698, 0.327568,
700, 0.328492,
702, 0.32945,
704, 0.330229,
706, 0.330935,
708, 0.331803,
710, 0.33233,
712, 0.333414,
714, 0.333799,
716, 0.334372,
718, 0.335159,
720, 0.335924,
722, 0.336354,
724, 0.336957,
726, 0.337928,
728, 0.338369,
730, 0.338832,
732, 0.339509,
734, 0.339956,
736, 0.340263,
738, 0.341103,
740, 0.341721,
742, 0.342157,
744, 0.342816,
746, 0.343301,
748, 0.34376,
750, 0.344108,
752, 0.344787,
754, 0.345193,
756, 0.345693,
758, 0.346274,
760, 0.346743
}

#declare RS_Construction_Asphalt = spline{ linear_spline
/*
Name: Construction Asphalt
Type:  Manmade materials
Class:  Road Asphalts and Tar
Subclass: Paving Asphalts 
Particle Size:  Solid
Sample No.:  0095UUUASP
Owner: National Photographic Interpretation Center 
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center. 
*/
 420, 0.0408, 422, 0.0461, 424, 0.0473, 426, 0.0489, 428, 0.0483,
 430, 0.0493, 432, 0.0499, 434, 0.0498, 436, 0.0511, 438, 0.0515,
 440, 0.0515, 442, 0.0522, 444, 0.0526, 446, 0.0534, 448, 0.0537,
 450, 0.0538, 452, 0.0543, 454, 0.0543, 456, 0.0547, 458, 0.0551,
 460, 0.0553, 462, 0.0556, 464, 0.0558, 466, 0.0562, 468, 0.0562,
 470, 0.0567, 472, 0.0570, 474, 0.0571, 476, 0.0575, 478, 0.0579,
 480, 0.0583, 482, 0.0586, 484, 0.0592, 486, 0.0595, 488, 0.0600,
 490, 0.0604, 492, 0.0609, 494, 0.0613, 496, 0.0617, 498, 0.0621,
 500, 0.0625, 502, 0.0628, 504, 0.0632, 506, 0.0636, 508, 0.0640,
 510, 0.0644, 512, 0.0649, 514, 0.0653, 516, 0.0657, 518, 0.0661,
 520, 0.0665, 522, 0.0670, 524, 0.0674, 526, 0.0678, 528, 0.0682,
 530, 0.0687, 532, 0.0691, 534, 0.0695, 536, 0.0699, 538, 0.0703,
 540, 0.0707, 542, 0.0710, 544, 0.0712, 546, 0.0716, 548, 0.0718,
 550, 0.0721, 552, 0.0723, 554, 0.0726, 556, 0.0728, 558, 0.0731,
 560, 0.0734, 562, 0.0727, 564, 0.0718, 566, 0.0719, 568, 0.0732,
 570, 0.0748, 572, 0.0759, 574, 0.0763, 576, 0.0764, 578, 0.0765,
 580, 0.0771, 582, 0.0778, 584, 0.0787, 586, 0.0796, 588, 0.0801,
 590, 0.0801, 592, 0.0793, 594, 0.0784, 596, 0.0781, 598, 0.0792,
 600, 0.0810, 602, 0.0827, 604, 0.0837, 606, 0.0841, 608, 0.0842,
 610, 0.0842, 612, 0.0844, 614, 0.0848, 616, 0.0857, 618, 0.0868,
 620, 0.0876, 622, 0.0875, 624, 0.0865, 626, 0.0851, 628, 0.0839,
 630, 0.0833, 632, 0.0833, 634, 0.0837, 636, 0.0844, 638, 0.0852,
 640, 0.0860, 642, 0.0867, 644, 0.0870, 646, 0.0871, 648, 0.0874,
 650, 0.0882, 652, 0.0890, 654, 0.0895, 656, 0.0896, 658, 0.0896,
 660, 0.0897, 662, 0.0900, 664, 0.0904, 666, 0.0908, 668, 0.0912,
 670, 0.0915, 672, 0.0921, 674, 0.0930, 676, 0.0941, 678, 0.0948,
 680, 0.0944, 682, 0.0929, 684, 0.0921, 686, 0.0922, 688, 0.0928,
 690, 0.0935, 692, 0.0941, 694, 0.0943, 696, 0.0944, 698, 0.0943,
 700, 0.0950, 702, 0.0947, 704, 0.0952, 706, 0.0953, 708, 0.0957,
 710, 0.0958, 712, 0.0962, 714, 0.0963, 716, 0.0964, 718, 0.0969,
 720, 0.0970, 722, 0.0971, 724, 0.0975, 726, 0.0977, 728, 0.0979,
 730, 0.0982, 732, 0.0985, 734, 0.0986, 736, 0.0989, 738, 0.0991,
 740, 0.0992, 742, 0.0996, 744, 0.0999, 746, 0.1000, 748, 0.1003,
 750, 0.1005, 752, 0.1006, 754, 0.1008, 756, 0.1011, 758, 0.1013,
 760, 0.1016
}

#declare RS_Construction_Asphalt_2 = spline{ linear_spline
/*
Name: Construction Asphalt
Type:  Manmade materials
Class:  Road Asphalts and Tar
Subclass: Paving Asphalts 
Particle Size: Solid
Sample No.:  0096UUUASP
Owner: National Photographic Interpretation Center 
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center. 
Description:  Gray and black construction asphalt. Sample was soiled 
and weathered, with some limestone and quartz aggregate showing.
*/
420, 0.055973,
422, 0.050368,
424, 0.051458,
426, 0.051924,
428, 0.051968,
430, 0.052187,
432, 0.053268,
434, 0.053491,
436, 0.054313,
438, 0.054089,
440, 0.054745,
442, 0.05534,
444, 0.05565,
446, 0.055904,
448, 0.0562,
450, 0.056739,
452, 0.056835,
454, 0.056981,
456, 0.057376,
458, 0.05763,
460, 0.058014,
462, 0.058272,
464, 0.058694,
466, 0.058734,
468, 0.059028,
470, 0.059192,
472, 0.059541,
474, 0.059709,
476, 0.060083,
478, 0.060323,
480, 0.060706,
482, 0.061068,
484, 0.061523,
486, 0.061869,
488, 0.062203,
490, 0.062637,
492, 0.063026,
494, 0.063333,
496, 0.063716,
498, 0.064011,
500, 0.064424,
502, 0.064689,
504, 0.064978,
506, 0.065332,
508, 0.065699,
510, 0.066061,
512, 0.066374,
514, 0.066767,
516, 0.067179,
518, 0.067546,
520, 0.067839,
522, 0.068185,
524, 0.068527,
526, 0.068873,
528, 0.069213,
530, 0.069535,
532, 0.069971,
534, 0.070309,
536, 0.070634,
538, 0.070902,
540, 0.071228,
542, 0.071544,
544, 0.071783,
546, 0.071991,
548, 0.072237,
550, 0.072445,
552, 0.07256,
554, 0.072812,
556, 0.07302,
558, 0.073233,
560, 0.073488,
562, 0.073315,
564, 0.072953,
566, 0.072602,
568, 0.072476,
570, 0.0728,
572, 0.073781,
574, 0.07526,
576, 0.076711,
578, 0.077609,
580, 0.077813,
582, 0.077564,
584, 0.077122,
586, 0.076718,
588, 0.076467,
590, 0.076458,
592, 0.076758,
594, 0.077355,
596, 0.078218,
598, 0.079271,
600, 0.080261,
602, 0.080895,
604, 0.080974,
606, 0.080696,
608, 0.080357,
610, 0.080242,
612, 0.080397,
614, 0.080629,
616, 0.080744,
618, 0.080755,
620, 0.080883,
622, 0.081347,
624, 0.08215,
626, 0.083074,
628, 0.083891,
630, 0.084422,
632, 0.084675,
634, 0.084704,
636, 0.084564,
638, 0.084309,
640, 0.083994,
642, 0.083621,
644, 0.083003,
646, 0.082311,
648, 0.082109,
650, 0.082552,
652, 0.083361,
654, 0.084246,
656, 0.085016,
658, 0.085578,
660, 0.085845,
662, 0.0858,
664, 0.085706,
666, 0.085898,
668, 0.086572,
670, 0.087373,
672, 0.087808,
674, 0.087416,
676, 0.08644,
678, 0.085831,
680, 0.086572,
682, 0.088804,
684, 0.090086,
686, 0.090228,
688, 0.089814,
690, 0.089426,
692, 0.089488,
694, 0.089664,
696, 0.08992,
698, 0.089892,
700, 0.090068,
702, 0.090374,
704, 0.090335,
706, 0.090615,
708, 0.090672,
710, 0.090962,
712, 0.091132,
714, 0.091271,
716, 0.09137,
718, 0.09175,
720, 0.092056,
722, 0.092081,
724, 0.092273,
726, 0.092576,
728, 0.092636,
730, 0.093119,
732, 0.093105,
734, 0.093332,
736, 0.093373,
738, 0.093468,
740, 0.093899,
742, 0.094072,
744, 0.094018,
746, 0.094232,
748, 0.094482,
750, 0.094667,
752, 0.094883,
754, 0.094959,
756, 0.09531,
758, 0.095428,
760, 0.095726
}

#declare RS_Construction_Asphalt_3 = spline{ linear_spline
/*
Name: Construction Asphalt
Type:  Manmade materials
Class:  Road Asphalts and Tar
Subclass: Paving Asphalts 
Particle Size: Solid
Sample No.: 0674UUUASP
Owner: National Photographic Interpretation Center 
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center. 
Description:  Weathered runway construction asphalt. Sample was 
black with little aggregate showing.
*/
380, 0.065,
382, 0.0651,
384, 0.0653,
386, 0.0655,
388, 0.0656,
390, 0.0658,
392, 0.066,
394, 0.0662,
396, 0.0663,
398, 0.0665,
400, 0.0667,
402, 0.0668,
404, 0.067,
406, 0.0671,
408, 0.0672,
410, 0.0674,
412, 0.0675,
414, 0.0677,
416, 0.0678,
418, 0.068,
420, 0.0681,
422, 0.0683,
424, 0.0684,
426, 0.0686,
428, 0.0687,
430, 0.0689,
432, 0.069,
434, 0.0692,
436, 0.0693,
438, 0.0695,
440, 0.0696,
442, 0.0698,
444, 0.0699,
446, 0.070,
448, 0.0701,
450, 0.0702,
452, 0.0703,
454, 0.0705,
456, 0.0707,
458, 0.0708,
460, 0.071,
462, 0.0711,
464, 0.0712,
466, 0.0713,
468, 0.0714,
470, 0.0715,
472, 0.0716,
474, 0.0717,
476, 0.0718,
478, 0.0719,
480, 0.072,
482, 0.072,
484, 0.072,
486, 0.072,
488, 0.0721,
490, 0.0722,
492, 0.0723,
494, 0.0725,
496, 0.0727,
498, 0.0729,
500, 0.0731,
502, 0.0733,
504, 0.0734,
506, 0.0735,
508, 0.0737,
510, 0.0738,
512, 0.0738,
514, 0.0739,
516, 0.074,
518, 0.0741,
520, 0.0742,
522, 0.0743,
524, 0.0744,
526, 0.0745,
528, 0.0746,
530, 0.0748,
532, 0.0748,
534, 0.0749,
536, 0.0751,
538, 0.0752,
540, 0.0752,
542, 0.0754,
544, 0.0755,
546, 0.0755,
548, 0.0757,
550, 0.0758,
552, 0.0758,
554, 0.0759,
556, 0.076,
558, 0.0761,
560, 0.0762,
562, 0.0763,
564, 0.0764,
566, 0.0765,
568, 0.0766,
570, 0.0766,
572, 0.0767,
574, 0.0768,
576, 0.0769,
578, 0.0769,
580, 0.077,
582, 0.0771,
584, 0.0772,
586, 0.0773,
588, 0.0773,
590, 0.0774,
592, 0.0775,
594, 0.0775,
596, 0.0776,
598, 0.0777,
600, 0.0777,
602, 0.0778,
604, 0.0779,
606, 0.0779,
608, 0.078,
610, 0.0781,
612, 0.0781,
614, 0.0782,
616, 0.0782,
618, 0.0783,
620, 0.0784,
622, 0.0784,
624, 0.0785,
626, 0.0785,
628, 0.0786,
630, 0.0786,
632, 0.0787,
634, 0.0788,
636, 0.0788,
638, 0.0789,
640, 0.0789,
642, 0.079,
644, 0.079,
646, 0.0791,
648, 0.0791,
650, 0.0792,
652, 0.0793,
654, 0.0793,
656, 0.0794,
658, 0.0794,
660, 0.0795,
662, 0.0795,
664, 0.0796,
666, 0.0797,
668, 0.0797,
670, 0.0798,
672, 0.0798,
674, 0.0799,
676, 0.080,
678, 0.080,
680, 0.080,
682, 0.0801,
684, 0.0801,
686, 0.0802,
688, 0.0802,
690, 0.0802,
692, 0.0802,
694, 0.0803,
696, 0.0804,
698, 0.0804,
700, 0.0805,
702, 0.0805,
704, 0.0806,
706, 0.0806,
708, 0.0807,
710, 0.0807,
712, 0.0808,
714, 0.0808,
716, 0.0808,
718, 0.0809,
720, 0.0809,
722, 0.081,
724, 0.081,
726, 0.0811,
728, 0.0811,
730, 0.0812,
732, 0.0812,
734, 0.0813,
736, 0.0813,
738, 0.0814,
740, 0.0814,
742, 0.0815,
744, 0.0815,
746, 0.0815,
748, 0.0816,
750, 0.0816,
752, 0.0816,
754, 0.0817,
756, 0.0817,
758, 0.0817,
760, 0.0818
}

#declare RS_Red_smooth_faced_Brick = spline{ linear_spline
/*
Name:  Red smooth-faced Brick 
Type:  Manmade materials
Class:  General Construction Materials
Subclass:  Bricks
Particle Size: Solid
Sample No.:  0097UUUBRK
Owner: National Photographic Interpretation Center 
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center. 
*/
 380, 0.0876, 382, 0.0885, 384, 0.0893, 386, 0.0902, 388, 0.0911,
 390, 0.0919, 392, 0.0927, 394, 0.0935, 396, 0.0943, 398, 0.0951,
 400, 0.0958, 402, 0.0965, 404, 0.0971, 406, 0.0978, 408, 0.0984,
 410, 0.0991, 412, 0.0996, 414, 0.1002, 416, 0.1007, 418, 0.1012,
 420, 0.1016, 422, 0.1020, 424, 0.1024, 426, 0.1028, 428, 0.1030,
 430, 0.1033, 432, 0.1036, 434, 0.1038, 436, 0.1039, 438, 0.1040,
 440, 0.1042, 442, 0.1043, 444, 0.1044, 446, 0.1046, 448, 0.1047,
 450, 0.1049, 452, 0.1051, 454, 0.1052, 456, 0.1053, 458, 0.1055,
 460, 0.1056, 462, 0.1058, 464, 0.1060, 466, 0.1062, 468, 0.1065,
 470, 0.1067, 472, 0.1070, 474, 0.1072, 476, 0.1075, 478, 0.1078,
 480, 0.1082, 482, 0.1087, 484, 0.1093, 486, 0.1097, 488, 0.1103,
 490, 0.1108, 492, 0.1112, 494, 0.1116, 496, 0.1119, 498, 0.1123,
 500, 0.1128, 502, 0.1132, 504, 0.1137, 506, 0.1142, 508, 0.1149,
 510, 0.1154, 512, 0.1160, 514, 0.1166, 516, 0.1172, 518, 0.1178,
 520, 0.1184, 522, 0.1189, 524, 0.1196, 526, 0.1203, 528, 0.1210,
 530, 0.1218, 532, 0.1226, 534, 0.1235, 536, 0.1245, 538, 0.1255,
 540, 0.1266, 542, 0.1277, 544, 0.1291, 546, 0.1305, 548, 0.1320,
 550, 0.1336, 552, 0.1353, 554, 0.1372, 556, 0.1392, 558, 0.1413,
 560, 0.1436, 562, 0.1460, 564, 0.1486, 566, 0.1512, 568, 0.1539,
 570, 0.1567, 572, 0.1596, 574, 0.1625, 576, 0.1654, 578, 0.1682,
 580, 0.1710, 582, 0.1738, 584, 0.1765, 586, 0.1791, 588, 0.1816,
 590, 0.1839, 592, 0.1862, 594, 0.1883, 596, 0.1903, 598, 0.1921,
 600, 0.1938, 602, 0.1954, 604, 0.1970, 606, 0.1983, 608, 0.1997,
 610, 0.2009, 612, 0.2019, 614, 0.2030, 616, 0.2040, 618, 0.2049,
 620, 0.2059, 622, 0.2067, 624, 0.2075, 626, 0.2082, 628, 0.2090,
 630, 0.2098, 632, 0.2105, 634, 0.2113, 636, 0.2120, 638, 0.2127,
 640, 0.2134, 642, 0.2141, 644, 0.2147, 646, 0.2155, 648, 0.2162,
 650, 0.2170, 652, 0.2177, 654, 0.2185, 656, 0.2192, 658, 0.2201,
 660, 0.2209, 662, 0.2217, 664, 0.2226, 666, 0.2234, 668, 0.2243,
 670, 0.2251, 672, 0.2261, 674, 0.2271, 676, 0.2280, 678, 0.2289,
 680, 0.2298, 682, 0.2307, 684, 0.2316, 686, 0.2326, 688, 0.2335,
 690, 0.2345, 692, 0.2356, 694, 0.2366, 696, 0.2377, 698, 0.2388,
 700, 0.2399, 702, 0.2410, 704, 0.2421, 706, 0.2431, 708, 0.2441,
 710, 0.2452, 712, 0.2464, 714, 0.2474, 716, 0.2484, 718, 0.2494,
 720, 0.2504, 722, 0.2515, 724, 0.2526, 726, 0.2536, 728, 0.2544,
 730, 0.2554, 732, 0.2565, 734, 0.2573, 736, 0.2582, 738, 0.2591,
 740, 0.2601, 742, 0.2608, 744, 0.2617, 746, 0.2624, 748, 0.2631,
 750, 0.2638, 752, 0.2645, 754, 0.2651, 756, 0.2657, 758, 0.2663,
 760, 0.2669
}

#declare RS_Weathered_Red_Brick = spline{ linear_spline
/*
Name:  Weathered Red Brick 
Type:  Manmade materials
Class:  General Construction Materials
Subclass:  Bricks
Particle Size: Solid
Sample No.:  0412UUUBRK
Owner: National Photographic Interpretation Center 
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center.
Description:  General fabrication construction brick. Brick was 
smooth, weathered, and red in color.
*/
380, 0.0316,
382, 0.0317,
384, 0.0319,
386, 0.0321,
388, 0.0322,
390, 0.0324,
392, 0.0326,
394, 0.0327,
396, 0.0329,
398, 0.0331,
400, 0.0332,
402, 0.0334,
404, 0.0336,
406, 0.0337,
408, 0.0339,
410, 0.0341,
412, 0.0343,
414, 0.0344,
416, 0.0346,
418, 0.0348,
420, 0.035,
422, 0.0352,
424, 0.0354,
426, 0.0356,
428, 0.0359,
430, 0.0361,
432, 0.0363,
434, 0.0366,
436, 0.0368,
438, 0.0371,
440, 0.0374,
442, 0.0376,
444, 0.0378,
446, 0.0381,
448, 0.0383,
450, 0.0386,
452, 0.0388,
454, 0.039,
456, 0.0392,
458, 0.0394,
460, 0.0396,
462, 0.0398,
464, 0.040,
466, 0.0401,
468, 0.0403,
470, 0.0404,
472, 0.0406,
474, 0.0408,
476, 0.0409,
478, 0.0411,
480, 0.0413,
482, 0.0415,
484, 0.0418,
486, 0.042,
488, 0.0423,
490, 0.0426,
492, 0.043,
494, 0.0433,
496, 0.0437,
498, 0.044,
500, 0.0444,
502, 0.0448,
504, 0.0451,
506, 0.0455,
508, 0.0458,
510, 0.0462,
512, 0.0465,
514, 0.0469,
516, 0.0473,
518, 0.0477,
520, 0.0482,
522, 0.0487,
524, 0.0493,
526, 0.0499,
528, 0.0506,
530, 0.0514,
532, 0.0522,
534, 0.0532,
536, 0.0542,
538, 0.0554,
540, 0.0566,
542, 0.058,
544, 0.0596,
546, 0.0614,
548, 0.0633,
550, 0.0655,
552, 0.0678,
554, 0.0704,
556, 0.0732,
558, 0.0763,
560, 0.0796,
562, 0.0832,
564, 0.087,
566, 0.091,
568, 0.0951,
570, 0.0994,
572, 0.1039,
574, 0.1085,
576, 0.1132,
578, 0.1178,
580, 0.1225,
582, 0.1272,
584, 0.1318,
586, 0.1362,
588, 0.1405,
590, 0.1445,
592, 0.1484,
594, 0.1521,
596, 0.1555,
598, 0.1586,
600, 0.1615,
602, 0.1642,
604, 0.1667,
606, 0.1689,
608, 0.1709,
610, 0.1727,
612, 0.1744,
614, 0.1759,
616, 0.1773,
618, 0.1785,
620, 0.1797,
622, 0.1808,
624, 0.1818,
626, 0.1827,
628, 0.1836,
630, 0.1845,
632, 0.1854,
634, 0.1862,
636, 0.1871,
638, 0.1879,
640, 0.1887,
642, 0.1895,
644, 0.1904,
646, 0.1913,
648, 0.1921,
650, 0.1931,
652, 0.194,
654, 0.195,
656, 0.1961,
658, 0.1971,
660, 0.1982,
662, 0.1993,
664, 0.2005,
666, 0.2017,
668, 0.2029,
670, 0.2041,
672, 0.2055,
674, 0.2069,
676, 0.2083,
678, 0.2097,
680, 0.2112,
682, 0.2127,
684, 0.2142,
686, 0.2158,
688, 0.2173,
690, 0.2189,
692, 0.2206,
694, 0.2223,
696, 0.224,
698, 0.2258,
700, 0.2276,
702, 0.2294,
704, 0.2312,
706, 0.233,
708, 0.2348,
710, 0.2366,
712, 0.2385,
714, 0.2403,
716, 0.2421,
718, 0.2439,
720, 0.2455,
722, 0.2473,
724, 0.249,
726, 0.2506,
728, 0.2521,
730, 0.2536,
732, 0.2552,
734, 0.2565,
736, 0.2578,
738, 0.2591,
740, 0.2602,
742, 0.2613,
744, 0.2623,
746, 0.2632,
748, 0.2641,
750, 0.2648,
752, 0.2654,
754, 0.266,
756, 0.2664,
758, 0.2667,
760, 0.2671
}

#declare RS_Bare_Red_Brick = spline{ linear_spline
/*
Name:  Bare Red Brick 
Type:  Manmade materials
Class:  General Construction Materials
Subclass:  Bricks
Particle Size: Solid
Sample No.:  0413UUUBRK
Owner: National Photographic Interpretation Center 
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center.
Description:  General fabrication construction brick. Brick surface was 
smooth, bare, and red in color.
*/
380, 0.0363,
382, 0.0365,
384, 0.0367,
386, 0.0369,
388, 0.037,
390, 0.0372,
392, 0.0374,
394, 0.0376,
396, 0.0378,
398, 0.038,
400, 0.0381,
402, 0.0383,
404, 0.0385,
406, 0.0387,
408, 0.0389,
410, 0.0391,
412, 0.0392,
414, 0.0394,
416, 0.0396,
418, 0.0398,
420, 0.040,
422, 0.0402,
424, 0.0405,
426, 0.0407,
428, 0.0409,
430, 0.0412,
432, 0.0414,
434, 0.0417,
436, 0.0419,
438, 0.0422,
440, 0.0425,
442, 0.0427,
444, 0.043,
446, 0.0433,
448, 0.0436,
450, 0.0438,
452, 0.044,
454, 0.0443,
456, 0.0445,
458, 0.0446,
460, 0.0448,
462, 0.0449,
464, 0.0451,
466, 0.0452,
468, 0.0454,
470, 0.0456,
472, 0.0457,
474, 0.0459,
476, 0.0461,
478, 0.0463,
480, 0.0465,
482, 0.0468,
484, 0.0471,
486, 0.0475,
488, 0.0478,
490, 0.0482,
492, 0.0485,
494, 0.0488,
496, 0.0492,
498, 0.0494,
500, 0.0497,
502, 0.050,
504, 0.0503,
506, 0.0506,
508, 0.051,
510, 0.0513,
512, 0.0517,
514, 0.0521,
516, 0.0525,
518, 0.053,
520, 0.0535,
522, 0.054,
524, 0.0546,
526, 0.0553,
528, 0.056,
530, 0.0567,
532, 0.0576,
534, 0.0586,
536, 0.0596,
538, 0.0608,
540, 0.062,
542, 0.0635,
544, 0.065,
546, 0.0668,
548, 0.0688,
550, 0.0709,
552, 0.0733,
554, 0.0759,
556, 0.0787,
558, 0.0817,
560, 0.085,
562, 0.0887,
564, 0.0924,
566, 0.0964,
568, 0.1005,
570, 0.1048,
572, 0.1093,
574, 0.1139,
576, 0.1186,
578, 0.1232,
580, 0.1279,
582, 0.1326,
584, 0.1371,
586, 0.1416,
588, 0.1458,
590, 0.1499,
592, 0.1538,
594, 0.1574,
596, 0.1608,
598, 0.164,
600, 0.1668,
602, 0.1695,
604, 0.172,
606, 0.1742,
608, 0.1763,
610, 0.1781,
612, 0.1798,
614, 0.1813,
616, 0.1827,
618, 0.184,
620, 0.1851,
622, 0.1862,
624, 0.1872,
626, 0.1882,
628, 0.1891,
630, 0.1899,
632, 0.1908,
634, 0.1917,
636, 0.1925,
638, 0.1933,
640, 0.1942,
642, 0.195,
644, 0.1958,
646, 0.1968,
648, 0.1977,
650, 0.1986,
652, 0.1996,
654, 0.2006,
656, 0.2016,
658, 0.2027,
660, 0.2038,
662, 0.2049,
664, 0.2061,
666, 0.2074,
668, 0.2086,
670, 0.2098,
672, 0.2112,
674, 0.2126,
676, 0.214,
678, 0.2154,
680, 0.2169,
682, 0.2184,
684, 0.220,
686, 0.2216,
688, 0.2232,
690, 0.2249,
692, 0.2266,
694, 0.2283,
696, 0.230,
698, 0.2319,
700, 0.2336,
702, 0.2355,
704, 0.2373,
706, 0.2392,
708, 0.241,
710, 0.2429,
712, 0.2447,
714, 0.2466,
716, 0.2484,
718, 0.2502,
720, 0.2519,
722, 0.2537,
724, 0.2554,
726, 0.2571,
728, 0.2587,
730, 0.2602,
732, 0.2618,
734, 0.2632,
736, 0.2645,
738, 0.2658,
740, 0.2671,
742, 0.2682,
744, 0.2693,
746, 0.2702,
748, 0.2711,
750, 0.2719,
752, 0.2726,
754, 0.2732,
756, 0.2738,
758, 0.2742,
760, 0.2745
}

#declare RS_Construction_Tar = spline{ linear_spline
/*
Name: Construction Tar
Type:  Manmade materials
Class:  Road Asphalts and Tar
Subclass: Tar
Particle Size: Solid
Sample No.:  0099UUUTAR
Owner: National Photographic Interpretation Center 
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center. 
*/
 420, 0.0452, 422, 0.0519, 424, 0.0519, 426, 0.0520, 428, 0.0531,
 430, 0.0525, 432, 0.0519, 434, 0.0532, 436, 0.0521, 438, 0.0521,
 440, 0.0522, 442, 0.0526, 444, 0.0524, 446, 0.0527, 448, 0.0526,
 450, 0.0528, 452, 0.0524, 454, 0.0527, 456, 0.0525, 458, 0.0523,
 460, 0.0523, 462, 0.0525, 464, 0.0524, 466, 0.0523, 468, 0.0524,
 470, 0.0523, 472, 0.0523, 474, 0.0522, 476, 0.0521, 478, 0.0519,
 480, 0.0521, 482, 0.0520, 484, 0.0519, 486, 0.0520, 488, 0.0520,
 490, 0.0520, 492, 0.0519, 494, 0.0519, 496, 0.0518, 498, 0.0519,
 500, 0.0518, 502, 0.0518, 504, 0.0517, 506, 0.0518, 508, 0.0517,
 510, 0.0517, 512, 0.0516, 514, 0.0516, 516, 0.0515, 518, 0.0516,
 520, 0.0516, 522, 0.0515, 524, 0.0515, 526, 0.0515, 528, 0.0514,
 530, 0.0514, 532, 0.0514, 534, 0.0514, 536, 0.0514, 538, 0.0514,
 540, 0.0514, 542, 0.0514, 544, 0.0513, 546, 0.0513, 548, 0.0512,
 550, 0.0512, 552, 0.0512, 554, 0.0512, 556, 0.0511, 558, 0.0511,
 560, 0.0511, 562, 0.0511, 564, 0.0512, 566, 0.0511, 568, 0.0509,
 570, 0.0507, 572, 0.0506, 574, 0.0506, 576, 0.0507, 578, 0.0507,
 580, 0.0506, 582, 0.0506, 584, 0.0506, 586, 0.0508, 588, 0.0509,
 590, 0.0510, 592, 0.0508, 594, 0.0506, 596, 0.0503, 598, 0.0502,
 600, 0.0502, 602, 0.0502, 604, 0.0502, 606, 0.0502, 608, 0.0502,
 610, 0.0501, 612, 0.0500, 614, 0.0499, 616, 0.0499, 618, 0.0498,
 620, 0.0498, 622, 0.0497, 624, 0.0496, 626, 0.0496, 628, 0.0495,
 630, 0.0495, 632, 0.0495, 634, 0.0496, 636, 0.0496, 638, 0.0497,
 640, 0.0497, 642, 0.0497, 644, 0.0496, 646, 0.0495, 648, 0.0495,
 650, 0.0495, 652, 0.0495, 654, 0.0494, 656, 0.0494, 658, 0.0493,
 660, 0.0493, 662, 0.0494, 664, 0.0496, 666, 0.0497, 668, 0.0496,
 670, 0.0494, 672, 0.0492, 674, 0.0491, 676, 0.0491, 678, 0.0491,
 680, 0.0488, 682, 0.0484, 684, 0.0482, 686, 0.0484, 688, 0.0486,
 690, 0.0487, 692, 0.0487, 694, 0.0488, 696, 0.0488, 698, 0.0489,
 700, 0.0489, 702, 0.0489, 704, 0.0488, 706, 0.0489, 708, 0.0488,
 710, 0.0489, 712, 0.0490, 714, 0.0490, 716, 0.0491, 718, 0.0490,
 720, 0.0491, 722, 0.0490, 724, 0.0492, 726, 0.0493, 728, 0.0491,
 730, 0.0491, 732, 0.0493, 734, 0.0492, 736, 0.0493, 738, 0.0494,
 740, 0.0492, 742, 0.0493, 744, 0.0494, 746, 0.0494, 748, 0.0495,
 750, 0.0495, 752, 0.0494, 754, 0.0497, 756, 0.0496, 758, 0.0495,
 760, 0.0496
}

#declare RS_Construction_Tar_2 = spline{ linear_spline
/*
Name:  Construction Tar
Type:  Manmade materials
Class:  Road Asphalts and Tar
Subclass: Tar
Particle Size: Solid
Sample No.:  0100UUUTAR
Owner: National Photographic Interpretation Center 
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center. 
Description:  Black, glossy construction tar.
*/
420, 0.8632,
422, 0.7946,
424, 0.80031,
426, 0.79648,
428, 0.79981,
430, 0.78893,
432, 0.78694,
434, 0.78789,
436, 0.79223,
438, 0.78574,
440, 0.78762,
442, 0.78497,
444, 0.7786,
446, 0.78227,
448, 0.78268,
450, 0.77699,
452, 0.77961,
454, 0.77967,
456, 0.77984,
458, 0.77788,
460, 0.77677,
462, 0.77495,
464, 0.77314,
466, 0.77345,
468, 0.76934,
470, 0.77026,
472, 0.76788,
474, 0.76663,
476, 0.76493,
478, 0.76554,
480, 0.7645,
482, 0.76247,
484, 0.76127,
486, 0.76048,
488, 0.75922,
490, 0.75779,
492, 0.7572,
494, 0.75544,
496, 0.75415,
498, 0.75342,
500, 0.75236,
502, 0.75096,
504, 0.74906,
506, 0.74889,
508, 0.7476,
510, 0.7471,
512, 0.74597,
514, 0.74525,
516, 0.74449,
518, 0.74324,
520, 0.74132,
522, 0.74077,
524, 0.73927,
526, 0.73813,
528, 0.73803,
530, 0.73713,
532, 0.73661,
534, 0.73549,
536, 0.73533,
538, 0.73512,
540, 0.73406,
542, 0.73397,
544, 0.73251,
546, 0.73137,
548, 0.72988,
550, 0.72902,
552, 0.72663,
554, 0.72551,
556, 0.72554,
558, 0.72454,
560, 0.72457,
562, 0.72367,
564, 0.72083,
566, 0.71505,
568, 0.70725,
570, 0.70115,
572, 0.70062,
574, 0.70658,
576, 0.71524,
578, 0.7224,
580, 0.72548,
582, 0.72514,
584, 0.72236,
586, 0.71845,
588, 0.71546,
590, 0.71552,
592, 0.71956,
594, 0.72449,
596, 0.72648,
598, 0.72277,
600, 0.71547,
602, 0.70802,
604, 0.70347,
606, 0.70239,
608, 0.70435,
610, 0.70878,
612, 0.71381,
614, 0.71681,
616, 0.71527,
618, 0.70948,
620, 0.70213,
622, 0.69598,
624, 0.69243,
626, 0.69101,
628, 0.69111,
630, 0.69224,
632, 0.69411,
634, 0.69648,
636, 0.69912,
638, 0.70177,
640, 0.7042,
642, 0.70549,
644, 0.69984,
646, 0.68866,
648, 0.68253,
650, 0.68438,
652, 0.69026,
654, 0.69604,
656, 0.69949,
658, 0.70153,
660, 0.70334,
662, 0.70562,
664, 0.70748,
666, 0.70765,
668, 0.70519,
670, 0.70138,
672, 0.69853,
674, 0.69884,
676, 0.70188,
678, 0.70464,
680, 0.70398,
682, 0.69974,
684, 0.69734,
686, 0.69757,
688, 0.69924,
690, 0.70117,
692, 0.70278,
694, 0.70096,
696, 0.70326,
698, 0.69979,
700, 0.70204,
702, 0.70094,
704, 0.70258,
706, 0.7009,
708, 0.69965,
710, 0.70126,
712, 0.69962,
714, 0.70216,
716, 0.7013,
718, 0.70102,
720, 0.70133,
722, 0.69957,
724, 0.69866,
726, 0.69987,
728, 0.69765,
730, 0.7002,
732, 0.69712,
734, 0.69895,
736, 0.69938,
738, 0.69846,
740, 0.69775,
742, 0.69705,
744, 0.69755,
746, 0.69791,
748, 0.69661,
750, 0.69743,
752, 0.69832,
754, 0.69747,
756, 0.69747,
758, 0.69687,
760, 0.69753
}

#declare RS_Cinders_ashen  = spline{ linear_spline
/*
Name:  Cinders, ashen 
Type:  Manmade materials
Class:  General Construction Materials
Subclass:  Cinders
Particle Size: Solid
Sample No.:  0101UUUCIN
Owner: National Photographic Interpretation Center 
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center. 
*/
 380, 0.0330, 382, 0.0332, 384, 0.0333, 386, 0.0335, 388, 0.0336,
 390, 0.0338, 392, 0.0339, 394, 0.0340, 396, 0.0342, 398, 0.0343,
 400, 0.0344, 402, 0.0346, 404, 0.0347, 406, 0.0348, 408, 0.0349,
 410, 0.0350, 412, 0.0351, 414, 0.0352, 416, 0.0354, 418, 0.0355,
 420, 0.0356, 422, 0.0357, 424, 0.0359, 426, 0.0360, 428, 0.0361,
 430, 0.0363, 432, 0.0364, 434, 0.0365, 436, 0.0367, 438, 0.0368,
 440, 0.0369, 442, 0.0370, 444, 0.0372, 446, 0.0373, 448, 0.0374,
 450, 0.0375, 452, 0.0376, 454, 0.0377, 456, 0.0377, 458, 0.0376,
 460, 0.0376, 462, 0.0375, 464, 0.0375, 466, 0.0376, 468, 0.0376,
 470, 0.0377, 472, 0.0378, 474, 0.0378, 476, 0.0379, 478, 0.0379,
 480, 0.0381, 482, 0.0383, 484, 0.0386, 486, 0.0388, 488, 0.0390,
 490, 0.0391, 492, 0.0392, 494, 0.0392, 496, 0.0391, 498, 0.0389,
 500, 0.0389, 502, 0.0388, 504, 0.0388, 506, 0.0389, 508, 0.0390,
 510, 0.0391, 512, 0.0393, 514, 0.0394, 516, 0.0395, 518, 0.0396,
 520, 0.0398, 522, 0.0399, 524, 0.0399, 526, 0.0400, 528, 0.0401,
 530, 0.0403, 532, 0.0403, 534, 0.0404, 536, 0.0405, 538, 0.0406,
 540, 0.0407, 542, 0.0408, 544, 0.0409, 546, 0.0410, 548, 0.0411,
 550, 0.0411, 552, 0.0412, 554, 0.0413, 556, 0.0414, 558, 0.0415,
 560, 0.0415, 562, 0.0416, 564, 0.0417, 566, 0.0418, 568, 0.0419,
 570, 0.0419, 572, 0.0420, 574, 0.0421, 576, 0.0421, 578, 0.0421,
 580, 0.0422, 582, 0.0423, 584, 0.0423, 586, 0.0424, 588, 0.0424,
 590, 0.0424, 592, 0.0425, 594, 0.0425, 596, 0.0426, 598, 0.0426,
 600, 0.0427, 602, 0.0427, 604, 0.0428, 606, 0.0428, 608, 0.0429,
 610, 0.0429, 612, 0.0430, 614, 0.0430, 616, 0.0430, 618, 0.0431,
 620, 0.0431, 622, 0.0432, 624, 0.0432, 626, 0.0433, 628, 0.0433,
 630, 0.0433, 632, 0.0434, 634, 0.0434, 636, 0.0434, 638, 0.0435,
 640, 0.0435, 642, 0.0436, 644, 0.0436, 646, 0.0436, 648, 0.0436,
 650, 0.0437, 652, 0.0438, 654, 0.0438, 656, 0.0438, 658, 0.0439,
 660, 0.0439, 662, 0.0440, 664, 0.0440, 666, 0.0441, 668, 0.0441,
 670, 0.0441, 672, 0.0442, 674, 0.0442, 676, 0.0443, 678, 0.0443,
 680, 0.0444, 682, 0.0444, 684, 0.0444, 686, 0.0445, 688, 0.0445,
 690, 0.0446, 692, 0.0446, 694, 0.0447, 696, 0.0448, 698, 0.0448,
 700, 0.0448, 702, 0.0449, 704, 0.0449, 706, 0.0450, 708, 0.0450,
 710, 0.0450, 712, 0.0451, 714, 0.0451, 716, 0.0451, 718, 0.0452,
 720, 0.0453, 722, 0.0453, 724, 0.0453, 726, 0.0454, 728, 0.0454,
 730, 0.0455, 732, 0.0455, 734, 0.0455, 736, 0.0456, 738, 0.0456,
 740, 0.0456, 742, 0.0457, 744, 0.0457, 746, 0.0458, 748, 0.0458,
 750, 0.0459, 752, 0.0459, 754, 0.0459, 756, 0.0459, 758, 0.0460,
 760, 0.0460
}

#declare RS_Plate_Window_Glass = spline{ linear_spline
/*
Name:  Plate Window Glass
Type:  Manmade materials
Class:  General Construction Materials
Subclass:  Glass
Particle Size: Solid
Sample No.: 0796UUUGLS
Owner:  National Photographic Interpretation Center 
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center.
Description:  Unweathered, transparent construction plate window 
glass.
*/
380, 0.115200,
382, 0.115600,
384, 0.116500,
386, 0.117600,
388, 0.118700,
390, 0.119600,
392, 0.120300,
394, 0.120700,
396, 0.121100,
398, 0.121200,
400, 0.121300,
402, 0.121200,
404, 0.121000,
406, 0.120700,
408, 0.120400,
410, 0.120100,
412, 0.119700,
414, 0.119400,
416, 0.119100,
418, 0.118900,
420, 0.118700,
422, 0.118500,
424, 0.118400,
426, 0.118200,
428, 0.118100,
430, 0.117900,
432, 0.117700,
434, 0.117500,
436, 0.117400,
438, 0.117300,
440, 0.117200,
442, 0.117200,
444, 0.117200,
446, 0.117200,
448, 0.117200,
450, 0.117300,
452, 0.117300,
454, 0.117400,
456, 0.117400,
458, 0.117400,
460, 0.117500,
462, 0.117500,
464, 0.117500,
466, 0.117500,
468, 0.117400,
470, 0.117400,
472, 0.117300,
474, 0.117300,
476, 0.117200,
478, 0.117200,
480, 0.117100,
482, 0.117100,
484, 0.117000,
486, 0.116900,
488, 0.116800,
490, 0.116700,
492, 0.116600,
494, 0.116500,
496, 0.116400,
498, 0.116300,
500, 0.116300,
502, 0.116200,
504, 0.116200,
506, 0.116100,
508, 0.116100,
510, 0.116000,
512, 0.115900,
514, 0.115800,
516, 0.115700,
518, 0.115600,
520, 0.115500,
522, 0.115400,
524, 0.115300,
526, 0.115200,
528, 0.115100,
530, 0.115000,
532, 0.114900,
534, 0.114800,
536, 0.114700,
538, 0.114600,
540, 0.114400,
542, 0.114300,
544, 0.114200,
546, 0.114100,
548, 0.114000,
550, 0.113900,
552, 0.113700,
554, 0.113600,
556, 0.113400,
558, 0.113300,
560, 0.113200,
562, 0.113000,
564, 0.112900,
566, 0.112700,
568, 0.112600,
570, 0.112400,
572, 0.112200,
574, 0.112100,
576, 0.111900,
578, 0.111700,
580, 0.111500,
582, 0.111300,
584, 0.111200,
586, 0.111000,
588, 0.110800,
590, 0.110700,
592, 0.110500,
594, 0.110300,
596, 0.110100,
598, 0.110000,
600, 0.109800,
602, 0.109600,
604, 0.109400,
606, 0.109200,
608, 0.109000,
610, 0.108800,
612, 0.108600,
614, 0.108400,
616, 0.108200,
618, 0.108000,
620, 0.107800,
622, 0.107600,
624, 0.107400,
626, 0.107200,
628, 0.107000,
630, 0.106800,
632, 0.106500,
634, 0.106400,
636, 0.106100,
638, 0.105900,
640, 0.105700,
642, 0.105500,
644, 0.105300,
646, 0.105100,
648, 0.104900,
650, 0.104700,
652, 0.104500,
654, 0.104300,
656, 0.104100,
658, 0.103900,
660, 0.103700,
662, 0.103500,
664, 0.103300,
666, 0.103100,
668, 0.102900,
670, 0.102700,
672, 0.102500,
674, 0.102300,
676, 0.102100,
678, 0.101800,
680, 0.101600,
682, 0.101400,
684, 0.101100,
686, 0.100900,
688, 0.100700,
690, 0.100400,
692, 0.100200,
694, 0.100000,
696, 0.099800,
698, 0.099600,
700, 0.099400,
702, 0.099100,
704, 0.099000,
706, 0.098700,
708, 0.098500,
710, 0.098200,
712, 0.098000,
714, 0.097800,
716, 0.097600,
718, 0.097300,
720, 0.097100,
722, 0.096900,
724, 0.096600,
726, 0.096500,
728, 0.096200,
730, 0.096000,
732, 0.095800,
734, 0.095600,
736, 0.095300,
738, 0.095100,
740, 0.094900,
742, 0.094700,
744, 0.094500,
746, 0.094300,
748, 0.094100,
750, 0.093800,
752, 0.093600,
754, 0.093400,
756, 0.093200,
758, 0.093000,
760, 0.092800
}

#declare RS_Aluminum_Metal = spline{ linear_spline
/*
Name:  Aluminum Metal
Type:  Manmade materials
Class:  Roofing Materials
Subclass:  Metal
Particle Size: Solid
Sample No.:  0384UUUALM
Owner:  National Photographic Interpretation Center 
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center.
*/
 380, 0.3854, 382, 0.3871, 384, 0.3889, 386, 0.3907, 388, 0.3926,
 390, 0.3943, 392, 0.3962, 394, 0.3979, 396, 0.3997, 398, 0.4016,
 400, 0.4035, 402, 0.4052, 404, 0.4070, 406, 0.4089, 408, 0.4107,
 410, 0.4125, 412, 0.4143, 414, 0.4161, 416, 0.4179, 418, 0.4197,
 420, 0.4216, 422, 0.4234, 424, 0.4251, 426, 0.4269, 428, 0.4287,
 430, 0.4305, 432, 0.4322, 434, 0.4339, 436, 0.4356, 438, 0.4373,
 440, 0.4389, 442, 0.4405, 444, 0.4422, 446, 0.4438, 448, 0.4454,
 450, 0.4469, 452, 0.4485, 454, 0.4499, 456, 0.4513, 458, 0.4526,
 460, 0.4539, 462, 0.4552, 464, 0.4564, 466, 0.4576, 468, 0.4589,
 470, 0.4602, 472, 0.4614, 474, 0.4626, 476, 0.4636, 478, 0.4647,
 480, 0.4661, 482, 0.4675, 484, 0.4688, 486, 0.4700, 488, 0.4713,
 490, 0.4724, 492, 0.4734, 494, 0.4743, 496, 0.4750, 498, 0.4757,
 500, 0.4765, 502, 0.4772, 504, 0.4781, 506, 0.4790, 508, 0.4800,
 510, 0.4809, 512, 0.4819, 514, 0.4829, 516, 0.4838, 518, 0.4846,
 520, 0.4856, 522, 0.4865, 524, 0.4873, 526, 0.4882, 528, 0.4891,
 530, 0.4899, 532, 0.4907, 534, 0.4916, 536, 0.4924, 538, 0.4931,
 540, 0.4939, 542, 0.4948, 544, 0.4956, 546, 0.4963, 548, 0.4972,
 550, 0.4980, 552, 0.4988, 554, 0.4995, 556, 0.5002, 558, 0.5010,
 560, 0.5019, 562, 0.5025, 564, 0.5032, 566, 0.5038, 568, 0.5045,
 570, 0.5052, 572, 0.5059, 574, 0.5066, 576, 0.5073, 578, 0.5080,
 580, 0.5086, 582, 0.5093, 584, 0.5099, 586, 0.5105, 588, 0.5112,
 590, 0.5117, 592, 0.5123, 594, 0.5129, 596, 0.5135, 598, 0.5142,
 600, 0.5148, 602, 0.5154, 604, 0.5160, 606, 0.5166, 608, 0.5171,
 610, 0.5176, 612, 0.5182, 614, 0.5187, 616, 0.5192, 618, 0.5198,
 620, 0.5203, 622, 0.5208, 624, 0.5214, 626, 0.5218, 628, 0.5224,
 630, 0.5229, 632, 0.5234, 634, 0.5238, 636, 0.5243, 638, 0.5247,
 640, 0.5252, 642, 0.5255, 644, 0.5259, 646, 0.5264, 648, 0.5269,
 650, 0.5274, 652, 0.5276, 654, 0.5281, 656, 0.5285, 658, 0.5290,
 660, 0.5294, 662, 0.5297, 664, 0.5300, 666, 0.5304, 668, 0.5308,
 670, 0.5311, 672, 0.5315, 674, 0.5319, 676, 0.5322, 678, 0.5325,
 680, 0.5327, 682, 0.5331, 684, 0.5333, 686, 0.5337, 688, 0.5339,
 690, 0.5341, 692, 0.5344, 694, 0.5347, 696, 0.5349, 698, 0.5353,
 700, 0.5354, 702, 0.5357, 704, 0.5358, 706, 0.5359, 708, 0.5362,
 710, 0.5364, 712, 0.5366, 714, 0.5367, 716, 0.5368, 718, 0.5370,
 720, 0.5369, 722, 0.5369, 724, 0.5371, 726, 0.5372, 728, 0.5371,
 730, 0.5372, 732, 0.5373, 734, 0.5372, 736, 0.5372, 738, 0.5372,
 740, 0.5371, 742, 0.5370, 744, 0.5370, 746, 0.5369, 748, 0.5368,
 750, 0.5365, 752, 0.5363, 754, 0.5360, 756, 0.5358, 758, 0.5357,
 760, 0.5354
}

#declare RS_Olive_green_gloss_paint = spline{ linear_spline
/*
Name:  Olive green gloss paint
Type:  Manmade materials
Class:  General Construction Materials
Subclass:  Paints
Particle Size: Solid
Sample No.:  0385UUUPNT
Owner: National Photographic Interpretation Center 
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center. 
*/
 380, 0.0621, 382, 0.0633, 384, 0.0645, 386, 0.0658, 388, 0.0672,
 390, 0.0686, 392, 0.0699, 394, 0.0712, 396, 0.0724, 398, 0.0734,
 400, 0.0744, 402, 0.0752, 404, 0.0760, 406, 0.0767, 408, 0.0775,
 410, 0.0781, 412, 0.0788, 414, 0.0795, 416, 0.0803, 418, 0.0812,
 420, 0.0823, 422, 0.0834, 424, 0.0848, 426, 0.0863, 428, 0.0880,
 430, 0.0899, 432, 0.0921, 434, 0.0946, 436, 0.0972, 438, 0.0998,
 440, 0.1024, 442, 0.1048, 444, 0.1071, 446, 0.1090, 448, 0.1105,
 450, 0.1117, 452, 0.1125, 454, 0.1130, 456, 0.1134, 458, 0.1137,
 460, 0.1141, 462, 0.1144, 464, 0.1148, 466, 0.1152, 468, 0.1156,
 470, 0.1161, 472, 0.1166, 474, 0.1172, 476, 0.1179, 478, 0.1186,
 480, 0.1196, 482, 0.1208, 484, 0.1222, 486, 0.1238, 488, 0.1256,
 490, 0.1277, 492, 0.1299, 494, 0.1322, 496, 0.1347, 498, 0.1374,
 500, 0.1404, 502, 0.1437, 504, 0.1473, 506, 0.1512, 508, 0.1553,
 510, 0.1597, 512, 0.1643, 514, 0.1692, 516, 0.1742, 518, 0.1793,
 520, 0.1847, 522, 0.1901, 524, 0.1955, 526, 0.2009, 528, 0.2062,
 530, 0.2111, 532, 0.2157, 534, 0.2197, 536, 0.2230, 538, 0.2254,
 540, 0.2268, 542, 0.2272, 544, 0.2265, 546, 0.2246, 548, 0.2216,
 550, 0.2175, 552, 0.2126, 554, 0.2068, 556, 0.2005, 558, 0.1941,
 560, 0.1876, 562, 0.1811, 564, 0.1750, 566, 0.1694, 568, 0.1641,
 570, 0.1592, 572, 0.1547, 574, 0.1506, 576, 0.1469, 578, 0.1436,
 580, 0.1406, 582, 0.1380, 584, 0.1357, 586, 0.1335, 588, 0.1314,
 590, 0.1293, 592, 0.1272, 594, 0.1252, 596, 0.1232, 598, 0.1212,
 600, 0.1193, 602, 0.1175, 604, 0.1159, 606, 0.1146, 608, 0.1135,
 610, 0.1126, 612, 0.1118, 614, 0.1113, 616, 0.1109, 618, 0.1106,
 620, 0.1104, 622, 0.1102, 624, 0.1101, 626, 0.1101, 628, 0.1100,
 630, 0.1100, 632, 0.1100, 634, 0.1101, 636, 0.1103, 638, 0.1107,
 640, 0.1112, 642, 0.1118, 644, 0.1126, 646, 0.1135, 648, 0.1144,
 650, 0.1155, 652, 0.1167, 654, 0.1179, 656, 0.1192, 658, 0.1204,
 660, 0.1215, 662, 0.1224, 664, 0.1230, 666, 0.1233, 668, 0.1232,
 670, 0.1229, 672, 0.1223, 674, 0.1217, 676, 0.1209, 678, 0.1200,
 680, 0.1191, 682, 0.1182, 684, 0.1172, 686, 0.1161, 688, 0.1149,
 690, 0.1137, 692, 0.1123, 694, 0.1108, 696, 0.1093, 698, 0.1079,
 700, 0.1065, 702, 0.1052, 704, 0.1041, 706, 0.1034, 708, 0.1030,
 710, 0.1030, 712, 0.1034, 714, 0.1041, 716, 0.1052, 718, 0.1066,
 720, 0.1083, 722, 0.1103, 724, 0.1127, 726, 0.1154, 728, 0.1186,
 730, 0.1223, 732, 0.1268, 734, 0.1321, 736, 0.1384, 738, 0.1461,
 740, 0.1554, 742, 0.1666, 744, 0.1800, 746, 0.1957, 748, 0.2137,
 750, 0.2335, 752, 0.2550, 754, 0.2772, 756, 0.2993, 758, 0.3204,
 760, 0.3400
}   

#declare RS_Black_gloss_paint = spline{ linear_spline
/*
Name:  Black gloss paint
Type:  Manmade materials
Class:  General Construction Materials
Subclass:  Paints
Particle Size: Solid
Sample No.:  0402UUUPNT
Owner: National Photographic Interpretation Center 
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center.
*/
 420, 0.0282, 422, 0.0384, 424, 0.0391, 426, 0.0398, 428, 0.0385,
 430, 0.0390, 432, 0.0385, 434, 0.0392, 436, 0.0392, 438, 0.0385,
 440, 0.0387, 442, 0.0385, 444, 0.0384, 446, 0.0377, 448, 0.0383,
 450, 0.0384, 452, 0.0381, 454, 0.0382, 456, 0.0382, 458, 0.0378,
 460, 0.0380, 462, 0.0377, 464, 0.0378, 466, 0.0379, 468, 0.0380,
 470, 0.0381, 472, 0.0380, 474, 0.0381, 476, 0.0380, 478, 0.0381,
 480, 0.0381, 482, 0.0381, 484, 0.0382, 486, 0.0382, 488, 0.0382,
 490, 0.0382, 492, 0.0382, 494, 0.0383, 496, 0.0383, 498, 0.0382,
 500, 0.0382, 502, 0.0383, 504, 0.0383, 506, 0.0383, 508, 0.0382,
 510, 0.0382, 512, 0.0382, 514, 0.0382, 516, 0.0381, 518, 0.0381,
 520, 0.0381, 522, 0.0381, 524, 0.0381, 526, 0.0382, 528, 0.0382,
 530, 0.0383, 532, 0.0383, 534, 0.0384, 536, 0.0384, 538, 0.0384,
 540, 0.0383, 542, 0.0382, 544, 0.0381, 546, 0.0380, 548, 0.0379,
 550, 0.0379, 552, 0.0379, 554, 0.0379, 556, 0.0380, 558, 0.0380,
 560, 0.0382, 562, 0.0381, 564, 0.0376, 566, 0.0377, 568, 0.0380,
 570, 0.0378, 572, 0.0375, 574, 0.0376, 576, 0.0380, 578, 0.0374,
 580, 0.0377, 582, 0.0376, 584, 0.0373, 586, 0.0371, 588, 0.0371,
 590, 0.0371, 592, 0.0372, 594, 0.0370, 596, 0.0369, 598, 0.0367,
 600, 0.0371, 602, 0.0367, 604, 0.0361, 606, 0.0364, 608, 0.0364,
 610, 0.0361, 612, 0.0362, 614, 0.0359, 616, 0.0361, 618, 0.0361,
 620, 0.0359, 622, 0.0360, 624, 0.0360, 626, 0.0360, 628, 0.0361,
 630, 0.0360, 632, 0.0362, 634, 0.0358, 636, 0.0358, 638, 0.0358,
 640, 0.0360, 642, 0.0358, 644, 0.0360, 646, 0.0360, 648, 0.0362,
 650, 0.0363, 652, 0.0362, 654, 0.0365, 656, 0.0366, 658, 0.0363,
 660, 0.0360, 662, 0.0363, 664, 0.0364, 666, 0.0362, 668, 0.0362,
 670, 0.0362, 672, 0.0361, 674, 0.0363, 676, 0.0363, 678, 0.0360,
 680, 0.0364, 682, 0.0363, 684, 0.0366, 686, 0.0370, 688, 0.0365,
 690, 0.0368, 692, 0.0363, 694, 0.0364, 696, 0.0364, 698, 0.0363,
 700, 0.0365, 702, 0.0364, 704, 0.0365, 706, 0.0366, 708, 0.0364,
 710, 0.0364, 712, 0.0365, 714, 0.0365, 716, 0.0367, 718, 0.0365,
 720, 0.0365, 722, 0.0365, 724, 0.0366, 726, 0.0367, 728, 0.0367,
 730, 0.0367, 732, 0.0367, 734, 0.0367, 736, 0.0366, 738, 0.0367,
 740, 0.0367, 742, 0.0366, 744, 0.0367, 746, 0.0366, 748, 0.0367,
 750, 0.0367, 752, 0.0367, 754, 0.0367, 756, 0.0367, 758, 0.0368,
 760, 0.0368
}

#declare RS_Black_paint = spline{ linear_spline
/*
Name:  Black paint
Type:  Manmade materials
Class:  General Construction Materials
Subclass:  Paints
Particle Size: Solid
Sample No.:  0406UUUPNT
Owner: National Photographic Interpretation Center 
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center.
*/
 420, 0.0283, 422, 0.0241, 424, 0.0396, 426, 0.0317, 428, 0.0315,
 430, 0.0342, 432, 0.0339, 434, 0.0346, 436, 0.0333, 438, 0.0337,
 440, 0.0333, 442, 0.0341, 444, 0.0326, 446, 0.0335, 448, 0.0338,
 450, 0.0333, 452, 0.0331, 454, 0.0336, 456, 0.0337, 458, 0.0332,
 460, 0.0345, 462, 0.0337, 464, 0.0340, 466, 0.0342, 468, 0.0340,
 470, 0.0348, 472, 0.0349, 474, 0.0348, 476, 0.0350, 478, 0.0344,
 480, 0.0348, 482, 0.0350, 484, 0.0351, 486, 0.0347, 488, 0.0348,
 490, 0.0351, 492, 0.0348, 494, 0.0349, 496, 0.0348, 498, 0.0352,
 500, 0.0351, 502, 0.0352, 504, 0.0352, 506, 0.0352, 508, 0.0353,
 510, 0.0351, 512, 0.0353, 514, 0.0351, 516, 0.0353, 518, 0.0353,
 520, 0.0354, 522, 0.0353, 524, 0.0354, 526, 0.0353, 528, 0.0354,
 530, 0.0355, 532, 0.0355, 534, 0.0357, 536, 0.0357, 538, 0.0357,
 540, 0.0357, 542, 0.0357, 544, 0.0357, 546, 0.0357, 548, 0.0358,
 550, 0.0358, 552, 0.0360, 554, 0.0359, 556, 0.0361, 558, 0.0362,
 560, 0.0362, 562, 0.0361, 564, 0.0361, 566, 0.0364, 568, 0.0360,
 570, 0.0359, 572, 0.0364, 574, 0.0360, 576, 0.0360, 578, 0.0358,
 580, 0.0360, 582, 0.0361, 584, 0.0358, 586, 0.0358, 588, 0.0361,
 590, 0.0359, 592, 0.0358, 594, 0.0358, 596, 0.0357, 598, 0.0353,
 600, 0.0356, 602, 0.0351, 604, 0.0353, 606, 0.0354, 608, 0.0355,
 610, 0.0349, 612, 0.0352, 614, 0.0348, 616, 0.0347, 618, 0.0350,
 620, 0.0351, 622, 0.0352, 624, 0.0351, 626, 0.0349, 628, 0.0352,
 630, 0.0355, 632, 0.0354, 634, 0.0356, 636, 0.0354, 638, 0.0355,
 640, 0.0357, 642, 0.0360, 644, 0.0360, 646, 0.0360, 648, 0.0359,
 650, 0.0361, 652, 0.0361, 654, 0.0363, 656, 0.0362, 658, 0.0364,
 660, 0.0365, 662, 0.0364, 664, 0.0365, 666, 0.0366, 668, 0.0365,
 670, 0.0369, 672, 0.0366, 674, 0.0368, 676, 0.0367, 678, 0.0366,
 680, 0.0365, 682, 0.0368, 684, 0.0364, 686, 0.0365, 688, 0.0366,
 690, 0.0367, 692, 0.0366, 694, 0.0366, 696, 0.0366, 698, 0.0366,
 700, 0.0368, 702, 0.0367, 704, 0.0365, 706, 0.0367, 708, 0.0366,
 710, 0.0369, 712, 0.0368, 714, 0.0370, 716, 0.0366, 718, 0.0367,
 720, 0.0367, 722, 0.0369, 724, 0.0368, 726, 0.0368, 728, 0.0366,
 730, 0.0367, 732, 0.0365, 734, 0.0367, 736, 0.0369, 738, 0.0365,
 740, 0.0365, 742, 0.0369, 744, 0.0367, 746, 0.0367, 748, 0.0370,
 750, 0.0369, 752, 0.0369, 754, 0.0370, 756, 0.0371, 758, 0.0370,
 760, 0.0367
}

#declare RS_Olive_green_paint = spline{ linear_spline
/*
Name:  Olive green paint
Type:  Manmade materials
Class:  General Construction Materials
Subclass:  Paints
Particle Size: Solid
Sample No.:  0407UUUPNT
Owner:  National Photographic Interpretation Center 
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center.
*/
 380, 0.0676, 382, 0.0686, 384, 0.0707, 386, 0.0718, 388, 0.0728,
 390, 0.0749, 392, 0.0759, 394, 0.0770, 396, 0.0780, 398, 0.0790,
 400, 0.0811, 402, 0.0811, 404, 0.0822, 406, 0.0832, 408, 0.0832,
 410, 0.0842, 412, 0.0853, 414, 0.0853, 416, 0.0863, 418, 0.0874,
 420, 0.0884, 422, 0.0894, 424, 0.0905, 426, 0.0926, 428, 0.0936,
 430, 0.0957, 432, 0.0988, 434, 0.1009, 436, 0.1040, 438, 0.1061,
 440, 0.1092, 442, 0.1113, 444, 0.1134, 446, 0.1154, 448, 0.1165,
 450, 0.1175, 452, 0.1186, 454, 0.1196, 456, 0.1196, 458, 0.1196,
 460, 0.1206, 462, 0.1206, 464, 0.1206, 466, 0.1217, 468, 0.1217,
 470, 0.1217, 472, 0.1227, 474, 0.1227, 476, 0.1238, 478, 0.1248,
 480, 0.1258, 482, 0.1269, 484, 0.1279, 486, 0.1300, 488, 0.1310,
 490, 0.1331, 492, 0.1352, 494, 0.1383, 496, 0.1404, 498, 0.1435,
 500, 0.1466, 502, 0.1498, 504, 0.1529, 506, 0.1570, 508, 0.1612,
 510, 0.1654, 512, 0.1706, 514, 0.1758, 516, 0.1810, 518, 0.1851,
 520, 0.1914, 522, 0.1966, 524, 0.2018, 526, 0.2080, 528, 0.2132,
 530, 0.2184, 532, 0.2226, 534, 0.2267, 536, 0.2309, 538, 0.2330,
 540, 0.2350, 542, 0.2350, 544, 0.2340, 546, 0.2319, 548, 0.2288,
 550, 0.2246, 552, 0.2194, 554, 0.2132, 556, 0.2070, 558, 0.1997,
 560, 0.1924, 562, 0.1862, 564, 0.1799, 566, 0.1737, 568, 0.1685,
 570, 0.1633, 572, 0.1591, 574, 0.1550, 576, 0.1508, 578, 0.1477,
 580, 0.1446, 582, 0.1414, 584, 0.1394, 586, 0.1373, 588, 0.1352,
 590, 0.1331, 592, 0.1310, 594, 0.1290, 596, 0.1269, 598, 0.1248,
 600, 0.1227, 602, 0.1217, 604, 0.1196, 606, 0.1186, 608, 0.1175,
 610, 0.1165, 612, 0.1154, 614, 0.1154, 616, 0.1144, 618, 0.1144,
 620, 0.1144, 622, 0.1144, 624, 0.1134, 626, 0.1134, 628, 0.1134,
 630, 0.1134, 632, 0.1134, 634, 0.1134, 636, 0.1144, 638, 0.1144,
 640, 0.1154, 642, 0.1154, 644, 0.1165, 646, 0.1175, 648, 0.1186,
 650, 0.1196, 652, 0.1206, 654, 0.1217, 656, 0.1238, 658, 0.1248,
 660, 0.1258, 662, 0.1269, 664, 0.1279, 666, 0.1279, 668, 0.1279,
 670, 0.1279, 672, 0.1269, 674, 0.1258, 676, 0.1258, 678, 0.1248,
 680, 0.1238, 682, 0.1227, 684, 0.1217, 686, 0.1206, 688, 0.1196,
 690, 0.1186, 692, 0.1165, 694, 0.1154, 696, 0.1134, 698, 0.1123,
 700, 0.1113, 702, 0.1092, 704, 0.1082, 706, 0.1082, 708, 0.1071,
 710, 0.1071, 712, 0.1082, 714, 0.1082, 716, 0.1092, 718, 0.1113,
 720, 0.1123, 722, 0.1154, 724, 0.1175, 726, 0.1206, 728, 0.1238,
 730, 0.1269, 732, 0.1321, 734, 0.1373, 736, 0.1446, 738, 0.1529,
 740, 0.1622, 742, 0.1747, 744, 0.1903, 746, 0.2090, 748, 0.2309,
 750, 0.2558, 752, 0.2850, 754, 0.3172, 756, 0.3515, 758, 0.3869,
 760, 0.4212
}

#declare RS_Copper_Metal = spline{ linear_spline
/*
Name:  Copper Metal
Type:  Manmade materials
Class:  Roofing Materials
Subclass:  Metal
Particle Size: Solid
Sample No.: 0681UUUCOP
Owner:  National Photographic Interpretation Center 
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center. 
*/
 380, 0.0941, 382, 0.0951, 384, 0.0961, 386, 0.0972, 388, 0.0983,
 390, 0.0993, 392, 0.1004, 394, 0.1013, 396, 0.1023, 398, 0.1033,
 400, 0.1042, 402, 0.1050, 404, 0.1059, 406, 0.1067, 408, 0.1075,
 410, 0.1083, 412, 0.1090, 414, 0.1098, 416, 0.1106, 418, 0.1114,
 420, 0.1122, 422, 0.1130, 424, 0.1139, 426, 0.1147, 428, 0.1155,
 430, 0.1164, 432, 0.1173, 434, 0.1181, 436, 0.1190, 438, 0.1198,
 440, 0.1206, 442, 0.1214, 444, 0.1220, 446, 0.1227, 448, 0.1234,
 450, 0.1240, 452, 0.1246, 454, 0.1251, 456, 0.1257, 458, 0.1262,
 460, 0.1267, 462, 0.1271, 464, 0.1276, 466, 0.1280, 468, 0.1283,
 470, 0.1288, 472, 0.1291, 474, 0.1296, 476, 0.1300, 478, 0.1305,
 480, 0.1310, 482, 0.1315, 484, 0.1319, 486, 0.1325, 488, 0.1330,
 490, 0.1336, 492, 0.1342, 494, 0.1348, 496, 0.1355, 498, 0.1362,
 500, 0.1370, 502, 0.1377, 504, 0.1384, 506, 0.1392, 508, 0.1399,
 510, 0.1406, 512, 0.1414, 514, 0.1421, 516, 0.1428, 518, 0.1436,
 520, 0.1443, 522, 0.1451, 524, 0.1458, 526, 0.1466, 528, 0.1473,
 530, 0.1481, 532, 0.1489, 534, 0.1496, 536, 0.1504, 538, 0.1511,
 540, 0.1519, 542, 0.1526, 544, 0.1534, 546, 0.1542, 548, 0.1549,
 550, 0.1557, 552, 0.1565, 554, 0.1572, 556, 0.1580, 558, 0.1587,
 560, 0.1595, 562, 0.1602, 564, 0.1610, 566, 0.1616, 568, 0.1623,
 570, 0.1629, 572, 0.1635, 574, 0.1641, 576, 0.1647, 578, 0.1652,
 580, 0.1657, 582, 0.1662, 584, 0.1666, 586, 0.1671, 588, 0.1675,
 590, 0.1679, 592, 0.1682, 594, 0.1686, 596, 0.1689, 598, 0.1692,
 600, 0.1694, 602, 0.1696, 604, 0.1699, 606, 0.1700, 608, 0.1701,
 610, 0.1703, 612, 0.1704, 614, 0.1705, 616, 0.1706, 618, 0.1707,
 620, 0.1707, 622, 0.1708, 624, 0.1708, 626, 0.1708, 628, 0.1708,
 630, 0.1708, 632, 0.1708, 634, 0.1708, 636, 0.1707, 638, 0.1707,
 640, 0.1706, 642, 0.1706, 644, 0.1705, 646, 0.1704, 648, 0.1703,
 650, 0.1703, 652, 0.1702, 654, 0.1701, 656, 0.1700, 658, 0.1699,
 660, 0.1698, 662, 0.1697, 664, 0.1696, 666, 0.1695, 668, 0.1694,
 670, 0.1693, 672, 0.1692, 674, 0.1691, 676, 0.1690, 678, 0.1689,
 680, 0.1687, 682, 0.1686, 684, 0.1684, 686, 0.1683, 688, 0.1681,
 690, 0.1680, 692, 0.1678, 694, 0.1677, 696, 0.1676, 698, 0.1676,
 700, 0.1675, 702, 0.1674, 704, 0.1673, 706, 0.1671, 708, 0.1671,
 710, 0.1670, 712, 0.1669, 714, 0.1667, 716, 0.1666, 718, 0.1665,
 720, 0.1665, 722, 0.1663, 724, 0.1662, 726, 0.1662, 728, 0.1661,
 730, 0.1660, 732, 0.1659, 734, 0.1658, 736, 0.1657, 738, 0.1656,
 740, 0.1655, 742, 0.1654, 744, 0.1654, 746, 0.1653, 748, 0.1652,
 750, 0.1651, 752, 0.1650, 754, 0.1649, 756, 0.1648, 758, 0.1647,
 760, 0.1647
}

#declare RS_Copper_Metal_2 = spline{ linear_spline
/*
Name:  Copper Metal
Type:  Manmade materials
Class:  Roofing Materials
Subclass:  Metal
Particle Size: Solid
Sample No.: 0682UUUCOP
Owner:  National Photographic Interpretation Center 
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center.
Description: Ten year old copper metal from building roof flashing. 
Sample was weathered and bare.
*/
380, 0.0696,
382, 0.0689,
384, 0.0682,
386, 0.0675,
388, 0.0669,
390, 0.0664,
392, 0.0658,
394, 0.0653,
396, 0.0649,
398, 0.0645,
400, 0.0642,
402, 0.0639,
404, 0.0637,
406, 0.0634,
408, 0.0632,
410, 0.0631,
412, 0.063,
414, 0.0629,
416, 0.0628,
418, 0.0628,
420, 0.0628,
422, 0.0628,
424, 0.0629,
426, 0.063,
428, 0.0631,
430, 0.0632,
432, 0.0634,
434, 0.0635,
436, 0.0637,
438, 0.064,
440, 0.0643,
442, 0.0646,
444, 0.065,
446, 0.0655,
448, 0.0661,
450, 0.0666,
452, 0.0673,
454, 0.068,
456, 0.0688,
458, 0.0697,
460, 0.0706,
462, 0.0716,
464, 0.0727,
466, 0.074,
468, 0.0753,
470, 0.0767,
472, 0.0782,
474, 0.0798,
476, 0.0814,
478, 0.0832,
480, 0.085,
482, 0.087,
484, 0.089,
486, 0.0911,
488, 0.0931,
490, 0.095,
492, 0.0969,
494, 0.0986,
496, 0.1004,
498, 0.102,
500, 0.1036,
502, 0.1052,
504, 0.1068,
506, 0.1085,
508, 0.1101,
510, 0.1118,
512, 0.1134,
514, 0.1149,
516, 0.1165,
518, 0.118,
520, 0.1196,
522, 0.1211,
524, 0.1226,
526, 0.1242,
528, 0.1258,
530, 0.1274,
532, 0.1291,
534, 0.1309,
536, 0.1328,
538, 0.1347,
540, 0.1369,
542, 0.1393,
544, 0.1418,
546, 0.1447,
548, 0.1479,
550, 0.1514,
552, 0.1554,
554, 0.1598,
556, 0.1649,
558, 0.1705,
560, 0.1766,
562, 0.1835,
564, 0.1908,
566, 0.1985,
568, 0.2066,
570, 0.2149,
572, 0.2234,
574, 0.2318,
576, 0.2401,
578, 0.2481,
580, 0.2558,
582, 0.2631,
584, 0.270,
586, 0.2766,
588, 0.2828,
590, 0.2885,
592, 0.2939,
594, 0.2989,
596, 0.3037,
598, 0.3081,
600, 0.3121,
602, 0.3158,
604, 0.3191,
606, 0.3222,
608, 0.3251,
610, 0.3277,
612, 0.330,
614, 0.3323,
616, 0.3343,
618, 0.3362,
620, 0.338,
622, 0.3398,
624, 0.3413,
626, 0.3428,
628, 0.3444,
630, 0.3458,
632, 0.3472,
634, 0.3486,
636, 0.3499,
638, 0.3511,
640, 0.3524,
642, 0.3536,
644, 0.3548,
646, 0.356,
648, 0.3572,
650, 0.3584,
652, 0.3596,
654, 0.3608,
656, 0.3621,
658, 0.3633,
660, 0.3645,
662, 0.3658,
664, 0.3669,
666, 0.3682,
668, 0.3695,
670, 0.3706,
672, 0.3719,
674, 0.3733,
676, 0.3747,
678, 0.3759,
680, 0.3771,
682, 0.3784,
684, 0.3798,
686, 0.3811,
688, 0.3824,
690, 0.3837,
692, 0.3851,
694, 0.3864,
696, 0.3877,
698, 0.3892,
700, 0.3907,
702, 0.3922,
704, 0.3936,
706, 0.3949,
708, 0.3964,
710, 0.3978,
712, 0.3993,
714, 0.4008,
716, 0.4023,
718, 0.4038,
720, 0.4052,
722, 0.4067,
724, 0.4083,
726, 0.4098,
728, 0.4113,
730, 0.4128,
732, 0.4145,
734, 0.416,
736, 0.4175,
738, 0.4191,
740, 0.4206,
742, 0.4221,
744, 0.4238,
746, 0.4253,
748, 0.4269,
750, 0.4285,
752, 0.430,
754, 0.4316,
756, 0.4331,
758, 0.4347,
760, 0.4363
}

#declare RS_Black_unspecified_rubber  = spline{ linear_spline
/*
Name:  Black unspecified rubber 
Type:  Manmade materials
Class:  Roofing Materials
Subclass:  Rubber
Particle Size: Solid
Sample No.: 0833UUURBR
Owner:  National Photographic Interpretation Center 
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center.
*/
 380, 0.0551, 382, 0.0553, 384, 0.0555, 386, 0.0557, 388, 0.0559,
 390, 0.0562, 392, 0.0564, 394, 0.0565, 396, 0.0567, 398, 0.0569,
 400, 0.0571, 402, 0.0572, 404, 0.0574, 406, 0.0575, 408, 0.0576,
 410, 0.0578, 412, 0.0579, 414, 0.0580, 416, 0.0581, 418, 0.0583,
 420, 0.0584, 422, 0.0585, 424, 0.0587, 426, 0.0588, 428, 0.0590,
 430, 0.0591, 432, 0.0592, 434, 0.0594, 436, 0.0595, 438, 0.0596,
 440, 0.0597, 442, 0.0598, 444, 0.0598, 446, 0.0599, 448, 0.0600,
 450, 0.0600, 452, 0.0600, 454, 0.0601, 456, 0.0601, 458, 0.0601,
 460, 0.0602, 462, 0.0603, 464, 0.0603, 466, 0.0603, 468, 0.0604,
 470, 0.0604, 472, 0.0604, 474, 0.0605, 476, 0.0605, 478, 0.0606,
 480, 0.0606, 482, 0.0606, 484, 0.0606, 486, 0.0606, 488, 0.0606,
 490, 0.0606, 492, 0.0607, 494, 0.0608, 496, 0.0609, 498, 0.0611,
 500, 0.0612, 502, 0.0613, 504, 0.0613, 506, 0.0614, 508, 0.0615,
 510, 0.0615, 512, 0.0616, 514, 0.0616, 516, 0.0616, 518, 0.0617,
 520, 0.0618, 522, 0.0618, 524, 0.0618, 526, 0.0619, 528, 0.0619,
 530, 0.0620, 532, 0.0620, 534, 0.0621, 536, 0.0621, 538, 0.0621,
 540, 0.0622, 542, 0.0622, 544, 0.0622, 546, 0.0623, 548, 0.0623,
 550, 0.0624, 552, 0.0624, 554, 0.0624, 556, 0.0625, 558, 0.0625,
 560, 0.0625, 562, 0.0626, 564, 0.0626, 566, 0.0626, 568, 0.0626,
 570, 0.0627, 572, 0.0627, 574, 0.0627, 576, 0.0627, 578, 0.0627,
 580, 0.0628, 582, 0.0628, 584, 0.0628, 586, 0.0628, 588, 0.0628,
 590, 0.0628, 592, 0.0629, 594, 0.0629, 596, 0.0629, 598, 0.0629,
 600, 0.0629, 602, 0.0629, 604, 0.0629, 606, 0.0629, 608, 0.0629,
 610, 0.0629, 612, 0.0629, 614, 0.0630, 616, 0.0629, 618, 0.0630,
 620, 0.0630, 622, 0.0630, 624, 0.0630, 626, 0.0630, 628, 0.0630,
 630, 0.0630, 632, 0.0630, 634, 0.0630, 636, 0.0630, 638, 0.0631,
 640, 0.0630, 642, 0.0631, 644, 0.0630, 646, 0.0631, 648, 0.0631,
 650, 0.0631, 652, 0.0631, 654, 0.0631, 656, 0.0631, 658, 0.0631,
 660, 0.0631, 662, 0.0631, 664, 0.0631, 666, 0.0632, 668, 0.0632,
 670, 0.0632, 672, 0.0632, 674, 0.0632, 676, 0.0632, 678, 0.0632,
 680, 0.0632, 682, 0.0632, 684, 0.0632, 686, 0.0633, 688, 0.0632,
 690, 0.0633, 692, 0.0633, 694, 0.0633, 696, 0.0633, 698, 0.0633,
 700, 0.0633, 702, 0.0633, 704, 0.0633, 706, 0.0633, 708, 0.0633,
 710, 0.0634, 712, 0.0634, 714, 0.0634, 716, 0.0634, 718, 0.0634,
 720, 0.0634, 722, 0.0634, 724, 0.0634, 726, 0.0634, 728, 0.0634,
 730, 0.0634, 732, 0.0635, 734, 0.0635, 736, 0.0635, 738, 0.0635,
 740, 0.0635, 742, 0.0635, 744, 0.0635, 746, 0.0635, 748, 0.0635,
 750, 0.0635, 752, 0.0636, 754, 0.0636, 756, 0.0636, 758, 0.0636,
 760, 0.0636
}

#declare RS_White_rubberized_coating = spline{ linear_spline
/*
Name:  White rubberized coating 
Type:  Manmade materials
Class:  Roofing Materials
Subclass:  Rubber
Particle Size: Solid
Sample No.: 0795UUURBR
Owner:  National Photographic Interpretation Center 
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center. 
Description:  Unspecified rubberized coating from a building roof. 
Sample was white, weathered, and five years old. 
*/
380, 0.0999,
382, 0.1075,
384, 0.1167,
386, 0.1278,
388, 0.1409,
390, 0.1561,
392, 0.1733,
394, 0.1923,
396, 0.2126,
398, 0.2335,
400, 0.2545,
402, 0.2748,
404, 0.2939,
406, 0.3111,
408, 0.326,
410, 0.3385,
412, 0.349,
414, 0.3575,
416, 0.3646,
418, 0.3707,
420, 0.376,
422, 0.3807,
424, 0.3851,
426, 0.3893,
428, 0.3933,
430, 0.3973,
432, 0.4011,
434, 0.4047,
436, 0.4084,
438, 0.4119,
440, 0.4151,
442, 0.4179,
444, 0.4205,
446, 0.423,
448, 0.4252,
450, 0.4272,
452, 0.4291,
454, 0.4308,
456, 0.4324,
458, 0.434,
460, 0.4357,
462, 0.4374,
464, 0.4388,
466, 0.4402,
468, 0.4417,
470, 0.4431,
472, 0.4446,
474, 0.4462,
476, 0.448,
478, 0.4495,
480, 0.4512,
482, 0.4529,
484, 0.4545,
486, 0.4562,
488, 0.4582,
490, 0.4602,
492, 0.4623,
494, 0.4646,
496, 0.4671,
498, 0.4694,
500, 0.4717,
502, 0.4739,
504, 0.476,
506, 0.4781,
508, 0.4802,
510, 0.4821,
512, 0.4839,
514, 0.4858,
516, 0.4878,
518, 0.4896,
520, 0.4913,
522, 0.4931,
524, 0.4949,
526, 0.4967,
528, 0.4985,
530, 0.5001,
532, 0.5018,
534, 0.5035,
536, 0.5052,
538, 0.5068,
540, 0.5083,
542, 0.5099,
544, 0.5114,
546, 0.5129,
548, 0.5145,
550, 0.516,
552, 0.5174,
554, 0.5189,
556, 0.5202,
558, 0.5216,
560, 0.5228,
562, 0.5239,
564, 0.5251,
566, 0.5264,
568, 0.5276,
570, 0.5288,
572, 0.5301,
574, 0.5311,
576, 0.5322,
578, 0.5332,
580, 0.5342,
582, 0.5351,
584, 0.5362,
586, 0.537,
588, 0.538,
590, 0.5388,
592, 0.5396,
594, 0.5404,
596, 0.5413,
598, 0.542,
600, 0.5427,
602, 0.5434,
604, 0.5443,
606, 0.545,
608, 0.5456,
610, 0.5463,
612, 0.547,
614, 0.5476,
616, 0.5482,
618, 0.5489,
620, 0.5496,
622, 0.5503,
624, 0.5509,
626, 0.5514,
628, 0.5521,
630, 0.5527,
632, 0.5533,
634, 0.5539,
636, 0.5545,
638, 0.5551,
640, 0.5557,
642, 0.5563,
644, 0.5568,
646, 0.5574,
648, 0.558,
650, 0.5587,
652, 0.5592,
654, 0.5598,
656, 0.5604,
658, 0.5609,
660, 0.5615,
662, 0.5621,
664, 0.5628,
666, 0.5633,
668, 0.5637,
670, 0.5641,
672, 0.5647,
674, 0.5655,
676, 0.5661,
678, 0.5665,
680, 0.5668,
682, 0.5675,
684, 0.568,
686, 0.5684,
688, 0.5689,
690, 0.5696,
692, 0.570,
694, 0.5705,
696, 0.5711,
698, 0.5718,
700, 0.5722,
702, 0.5728,
704, 0.5733,
706, 0.5736,
708, 0.5742,
710, 0.5747,
712, 0.5752,
714, 0.5757,
716, 0.5761,
718, 0.5766,
720, 0.577,
722, 0.5775,
724, 0.5782,
726, 0.5786,
728, 0.5788,
730, 0.5794,
732, 0.5799,
734, 0.5804,
736, 0.5807,
738, 0.581,
740, 0.5813,
742, 0.5818,
744, 0.5824,
746, 0.5828,
748, 0.5831,
750, 0.5833,
752, 0.5838,
754, 0.5841,
756, 0.5846,
758, 0.585,
760, 0.5854
}

#declare RS_White_fiberglass_unspecified_rubber = spline{ linear_spline
/*
Name:  White fiberglass unspecified rubber 
Type:  Manmade materials
Class:  Roofing Materials
Subclass:  Rubber
Particle Size: Solid
Sample No.: 0834UUURBR
Owner:  National Photographic Interpretation Center 
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center. Original filename 0834UUURBR. 
Description:  Unspecified fiberglass-reinforced rubber from a 
building roof. Sample was white and weathered.
*/
380, 0.1166,
382, 0.1261,
384, 0.1376,
386, 0.1517,
388, 0.1688,
390, 0.1893,
392, 0.2131,
394, 0.2398,
396, 0.269,
398, 0.3001,
400, 0.332,
402, 0.3639,
404, 0.3941,
406, 0.4218,
408, 0.4461,
410, 0.4666,
412, 0.4836,
414, 0.4972,
416, 0.5081,
418, 0.5169,
420, 0.5239,
422, 0.5299,
424, 0.5349,
426, 0.5395,
428, 0.5438,
430, 0.5478,
432, 0.5516,
434, 0.5551,
436, 0.5586,
438, 0.5619,
440, 0.5649,
442, 0.5678,
444, 0.5704,
446, 0.5729,
448, 0.5751,
450, 0.5772,
452, 0.579,
454, 0.5808,
456, 0.5823,
458, 0.5838,
460, 0.5855,
462, 0.5869,
464, 0.5884,
466, 0.5898,
468, 0.5913,
470, 0.5928,
472, 0.5942,
474, 0.5958,
476, 0.5975,
478, 0.5991,
480, 0.6008,
482, 0.6028,
484, 0.6048,
486, 0.6065,
488, 0.6083,
490, 0.6102,
492, 0.612,
494, 0.6138,
496, 0.6155,
498, 0.6172,
500, 0.619,
502, 0.6206,
504, 0.6223,
506, 0.6241,
508, 0.6259,
510, 0.6276,
512, 0.6292,
514, 0.6309,
516, 0.6325,
518, 0.6341,
520, 0.6356,
522, 0.6373,
524, 0.6387,
526, 0.6402,
528, 0.6417,
530, 0.6431,
532, 0.6445,
534, 0.646,
536, 0.6474,
538, 0.6487,
540, 0.650,
542, 0.6513,
544, 0.6527,
546, 0.6539,
548, 0.6552,
550, 0.6564,
552, 0.6575,
554, 0.6586,
556, 0.6598,
558, 0.6611,
560, 0.6622,
562, 0.6632,
564, 0.6643,
566, 0.6653,
568, 0.6663,
570, 0.6673,
572, 0.6683,
574, 0.6693,
576, 0.6703,
578, 0.6709,
580, 0.6718,
582, 0.6727,
584, 0.6735,
586, 0.6743,
588, 0.6751,
590, 0.6758,
592, 0.6764,
594, 0.677,
596, 0.6777,
598, 0.6785,
600, 0.6791,
602, 0.6799,
604, 0.6805,
606, 0.681,
608, 0.6818,
610, 0.6824,
612, 0.6829,
614, 0.6835,
616, 0.6841,
618, 0.6847,
620, 0.6853,
622, 0.6859,
624, 0.6864,
626, 0.6868,
628, 0.6874,
630, 0.688,
632, 0.6886,
634, 0.6892,
636, 0.6898,
638, 0.6903,
640, 0.6909,
642, 0.6913,
644, 0.6917,
646, 0.6923,
648, 0.6929,
650, 0.6935,
652, 0.6939,
654, 0.6944,
656, 0.6949,
658, 0.6955,
660, 0.6961,
662, 0.6966,
664, 0.697,
666, 0.6976,
668, 0.6979,
670, 0.6984,
672, 0.699,
674, 0.6996,
676, 0.700,
678, 0.7005,
680, 0.701,
682, 0.7014,
684, 0.7018,
686, 0.7022,
688, 0.7025,
690, 0.7032,
692, 0.7036,
694, 0.7041,
696, 0.7046,
698, 0.7053,
700, 0.7057,
702, 0.7062,
704, 0.7066,
706, 0.7069,
708, 0.7074,
710, 0.7079,
712, 0.7083,
714, 0.7087,
716, 0.7092,
718, 0.7097,
720, 0.7099,
722, 0.7103,
724, 0.711,
726, 0.7115,
728, 0.7116,
730, 0.712,
732, 0.7125,
734, 0.713,
736, 0.7133,
738, 0.7138,
740, 0.714,
742, 0.7143,
744, 0.715,
746, 0.7154,
748, 0.7156,
750, 0.7159,
752, 0.7163,
754, 0.7165,
756, 0.7165,
758, 0.7171,
760, 0.7174
}

#declare RS_Pine_Wood_1 = spline{ linear_spline
/*
Name:  Pine Wood
Type:  Manmade materials
Class:  General Construction Materials
Subclass:  Woods
Particle Size: Solid
Sample No.:  0404UUUWOD
Owner:  National Photographic Interpretation Center 
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center.
Description:  General construction pine wood lumber. Sample was 
bare and weathered.
*/
380, 0.070932,
382, 0.074016,
384, 0.076072,
386, 0.080184,
388, 0.083268,
390, 0.086352,
392, 0.090464,
394, 0.094576,
396, 0.098688,
398, 0.103828,
400, 0.10794,
402, 0.11308,
404, 0.11822,
406, 0.12336,
408, 0.1285,
410, 0.13364,
412, 0.13878,
414, 0.144948,
416, 0.150088,
418, 0.155228,
420, 0.161396,
422, 0.166536,
424, 0.171676,
426, 0.176816,
428, 0.181956,
430, 0.188124,
432, 0.193264,
434, 0.197376,
436, 0.203544,
438, 0.207656,
440, 0.212796,
442, 0.217936,
444, 0.223076,
446, 0.228216,
448, 0.233356,
450, 0.238496,
452, 0.243636,
454, 0.248776,
456, 0.252888,
458, 0.258028,
460, 0.26214,
462, 0.26728,
464, 0.27242,
466, 0.27756,
468, 0.2827,
470, 0.286812,
472, 0.291952,
474, 0.297092,
476, 0.302232,
478, 0.307372,
480, 0.311484,
482, 0.317652,
484, 0.322792,
486, 0.327932,
488, 0.333072,
490, 0.338212,
492, 0.343352,
494, 0.347464,
496, 0.352604,
498, 0.356716,
500, 0.361856,
502, 0.365968,
504, 0.371108,
506, 0.376248,
508, 0.381388,
510, 0.386528,
512, 0.392696,
514, 0.397836,
516, 0.402976,
518, 0.408116,
520, 0.413256,
522, 0.419424,
524, 0.424564,
526, 0.429704,
528, 0.435872,
530, 0.441012,
532, 0.44718,
534, 0.45232,
536, 0.45746,
538, 0.463628,
540, 0.468768,
542, 0.474936,
544, 0.480076,
546, 0.486244,
548, 0.491384,
550, 0.497552,
552, 0.502692,
554, 0.50886,
556, 0.514,
558, 0.520168,
560, 0.525308,
562, 0.531476,
564, 0.537644,
566, 0.542784,
568, 0.548952,
570, 0.554092,
572, 0.56026,
574, 0.5654,
576, 0.571568,
578, 0.576708,
580, 0.582876,
582, 0.588016,
584, 0.594184,
586, 0.599324,
588, 0.605492,
590, 0.610632,
592, 0.6168,
594, 0.62194,
596, 0.62708,
598, 0.63222,
600, 0.638388,
602, 0.643528,
604, 0.648668,
606, 0.653808,
608, 0.658948,
610, 0.664088,
612, 0.669228,
614, 0.674368,
616, 0.679508,
618, 0.684648,
620, 0.689788,
622, 0.694928,
624, 0.69904,
626, 0.70418,
628, 0.708292,
630, 0.713432,
632, 0.717544,
634, 0.722684,
636, 0.726796,
638, 0.731936,
640, 0.736048,
642, 0.74016,
644, 0.744272,
646, 0.748384,
648, 0.752496,
650, 0.756608,
652, 0.76072,
654, 0.764832,
656, 0.768944,
658, 0.772028,
660, 0.77614,
662, 0.779224,
664, 0.783336,
666, 0.78642,
668, 0.789504,
670, 0.793616,
672, 0.7967,
674, 0.799784,
676, 0.802868,
678, 0.805952,
680, 0.809036,
682, 0.81212,
684, 0.815204,
686, 0.81726,
688, 0.820344,
690, 0.8224,
692, 0.825484,
694, 0.82754,
696, 0.830624,
698, 0.833708,
700, 0.835764,
702, 0.83782,
704, 0.839876,
706, 0.84296,
708, 0.845016,
710, 0.847072,
712, 0.849128,
714, 0.851184,
716, 0.85324,
718, 0.855296,
720, 0.857352,
722, 0.859408,
724, 0.860436,
726, 0.862492,
728, 0.86352,
730, 0.865576,
732, 0.867632,
734, 0.86866,
736, 0.869688,
738, 0.871744,
740, 0.872772,
742, 0.8738,
744, 0.874828,
746, 0.875856,
748, 0.876884,
750, 0.877912,
752, 0.87894,
754, 0.879968,
756, 0.880996,
758, 0.882024,
760, 0.883052
}

#declare RS_Pine_Wood_2 = spline{ linear_spline
/*
Name:  Pine Wood
Type:  Manmade materials
Class:  General Construction Materials
Subclass:  Woods
Particle Size: Solid
Sample No.:  0410UUUWOD
Owner:  National Photographic Interpretation Center 
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center.
Description:  Bare pine wood construction lumber. Wood surface was 
sanded and buffed.
*/
420, 0.176754,
422, 0.171132,
424, 0.181817,
426, 0.180129,
428, 0.185446,
430, 0.191643,
432, 0.19675,
434, 0.201444,
436, 0.208081,
438, 0.215726,
440, 0.220385,
442, 0.224133,
444, 0.230292,
446, 0.235304,
448, 0.238627,
450, 0.242041,
452, 0.24569,
454, 0.250652,
456, 0.255345,
458, 0.258468,
460, 0.260876,
462, 0.265316,
464, 0.267943,
466, 0.271279,
468, 0.274764,
470, 0.278345,
472, 0.281645,
474, 0.285581,
476, 0.289308,
478, 0.293478,
480, 0.297468,
482, 0.301503,
484, 0.305939,
486, 0.310639,
488, 0.315494,
490, 0.320361,
492, 0.325836,
494, 0.331308,
496, 0.336438,
498, 0.341037,
500, 0.345886,
502, 0.350124,
504, 0.354392,
506, 0.358603,
508, 0.363227,
510, 0.367451,
512, 0.372091,
514, 0.376853,
516, 0.3815,
518, 0.386255,
520, 0.39137,
522, 0.39662,
524, 0.401899,
526, 0.407291,
528, 0.412868,
530, 0.418361,
532, 0.423968,
534, 0.429555,
536, 0.434775,
538, 0.43985,
540, 0.444836,
542, 0.449563,
544, 0.454257,
546, 0.459005,
548, 0.46341,
550, 0.467764,
552, 0.472299,
554, 0.476621,
556, 0.481114,
558, 0.485368,
560, 0.48985,
562, 0.495036,
564, 0.500583,
566, 0.506038,
568, 0.51074,
570, 0.516735,
572, 0.521996,
574, 0.527467,
576, 0.533089,
578, 0.539021,
580, 0.543817,
582, 0.548625,
584, 0.554627,
586, 0.560016,
588, 0.56473,
590, 0.570113,
592, 0.575295,
594, 0.580521,
596, 0.585708,
598, 0.590241,
600, 0.59492,
602, 0.599892,
604, 0.60507,
606, 0.609808,
608, 0.613791,
610, 0.618953,
612, 0.623542,
614, 0.627278,
616, 0.632766,
618, 0.636816,
620, 0.640895,
622, 0.645523,
624, 0.650021,
626, 0.654154,
628, 0.658045,
630, 0.662009,
632, 0.666088,
634, 0.670401,
636, 0.6744,
638, 0.678128,
640, 0.682087,
642, 0.686513,
644, 0.690627,
646, 0.693989,
648, 0.698069,
650, 0.702009,
652, 0.705873,
654, 0.709211,
656, 0.713053,
658, 0.716289,
660, 0.719948,
662, 0.722752,
664, 0.726584,
666, 0.729156,
668, 0.732406,
670, 0.735864,
672, 0.739119,
674, 0.742488,
676, 0.745029,
678, 0.747864,
680, 0.751097,
682, 0.754077,
684, 0.757364,
686, 0.759804,
688, 0.7619,
690, 0.765244,
692, 0.768461,
694, 0.771488,
696, 0.774215,
698, 0.777179,
700, 0.779733,
702, 0.782715,
704, 0.785219,
706, 0.787924,
708, 0.790253,
710, 0.792913,
712, 0.794863,
714, 0.797421,
716, 0.799494,
718, 0.80181,
720, 0.803603,
722, 0.806135,
724, 0.808188,
726, 0.810049,
728, 0.812096,
730, 0.813854,
732, 0.815488,
734, 0.817156,
736, 0.818666,
738, 0.820448,
740, 0.821965,
742, 0.823207,
744, 0.824811,
746, 0.825825,
748, 0.826964,
750, 0.828363,
752, 0.829458,
754, 0.830676,
756, 0.831919,
758, 0.833049,
760, 0.834276
}

#declare RS_Galvanized_Steel_Metal = spline{ linear_spline
/*
Name:  Galvanized Steel Metal
Type:  Manmade materials
Class:  Roofing Materials
Subclass:  Metal
Particle Size: Solid
Sample No.: 0525UUUSTLa
Owner:  National Photographic Interpretation Center 
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center. 
Description:  Weathered, galvanized steel from roof and vent covers.
*/
380, 0.0233,
382, 0.0234,
384, 0.0234,
386, 0.0234,
388, 0.0234,
390, 0.0234,
392, 0.0234,
394, 0.0234,
396, 0.0234,
398, 0.0234,
400, 0.0235,
402, 0.0235,
404, 0.0235,
406, 0.0235,
408, 0.0235,
410, 0.0235,
412, 0.0235,
414, 0.0236,
416, 0.0236,
418, 0.0237,
420, 0.0237,
422, 0.0237,
424, 0.0238,
426, 0.0238,
428, 0.0239,
430, 0.0239,
432, 0.024,
434, 0.024,
436, 0.0241,
438, 0.0241,
440, 0.0241,
442, 0.0241,
444, 0.0241,
446, 0.0241,
448, 0.0241,
450, 0.0241,
452, 0.0241,
454, 0.0241,
456, 0.0241,
458, 0.0241,
460, 0.024,
462, 0.024,
464, 0.024,
466, 0.0239,
468, 0.0239,
470, 0.0239,
472, 0.0238,
474, 0.0238,
476, 0.0238,
478, 0.0238,
480, 0.0238,
482, 0.0238,
484, 0.0239,
486, 0.024,
488, 0.024,
490, 0.0242,
492, 0.0243,
494, 0.0244,
496, 0.0246,
498, 0.0247,
500, 0.0249,
502, 0.0251,
504, 0.0252,
506, 0.0254,
508, 0.0256,
510, 0.0258,
512, 0.026,
514, 0.0262,
516, 0.0265,
518, 0.0267,
520, 0.027,
522, 0.0274,
524, 0.0277,
526, 0.0281,
528, 0.0286,
530, 0.029,
532, 0.0295,
534, 0.0301,
536, 0.0307,
538, 0.0314,
540, 0.0321,
542, 0.0329,
544, 0.0337,
546, 0.0347,
548, 0.0357,
550, 0.0367,
552, 0.0379,
554, 0.0391,
556, 0.0404,
558, 0.0418,
560, 0.0432,
562, 0.0448,
564, 0.0464,
566, 0.048,
568, 0.0497,
570, 0.0514,
572, 0.0532,
574, 0.0549,
576, 0.0567,
578, 0.0585,
580, 0.0602,
582, 0.0619,
584, 0.0636,
586, 0.0653,
588, 0.0668,
590, 0.0683,
592, 0.0697,
594, 0.0711,
596, 0.0724,
598, 0.0735,
600, 0.0745,
602, 0.0755,
604, 0.0764,
606, 0.0772,
608, 0.078,
610, 0.0786,
612, 0.0792,
614, 0.0797,
616, 0.0801,
618, 0.0805,
620, 0.0808,
622, 0.0811,
624, 0.0813,
626, 0.0815,
628, 0.0816,
630, 0.0817,
632, 0.0818,
634, 0.0819,
636, 0.0819,
638, 0.082,
640, 0.082,
642, 0.082,
644, 0.082,
646, 0.082,
648, 0.082,
650, 0.082,
652, 0.082,
654, 0.0819,
656, 0.082,
658, 0.082,
660, 0.082,
662, 0.082,
664, 0.0821,
666, 0.0822,
668, 0.0823,
670, 0.0824,
672, 0.0825,
674, 0.0826,
676, 0.0828,
678, 0.0829,
680, 0.0831,
682, 0.0833,
684, 0.0835,
686, 0.0838,
688, 0.084,
690, 0.0843,
692, 0.0846,
694, 0.0849,
696, 0.0852,
698, 0.0856,
700, 0.0859,
702, 0.0863,
704, 0.0867,
706, 0.087,
708, 0.0874,
710, 0.0878,
712, 0.0883,
714, 0.0887,
716, 0.0891,
718, 0.0895,
720, 0.0899,
722, 0.0903,
724, 0.0908,
726, 0.0912,
728, 0.0916,
730, 0.092,
732, 0.0924,
734, 0.0928,
736, 0.0932,
738, 0.0936,
740, 0.0939,
742, 0.0943,
744, 0.0946,
746, 0.0949,
748, 0.0952,
750, 0.0954,
752, 0.0957,
754, 0.0959,
756, 0.0961,
758, 0.0962,
760, 0.0964
}

#declare RS_Oxidized_Galvanized_Steel_Metal = spline{ linear_spline
/*
Name:  Oxidized Galvanized Steel Metal
Type:  Manmade materials
Class:  Roofing Materials
Subclass:  Metal
Particle Size: Solid
Sample No.: 0526UUUSTLa
Owner:  National Photographic Interpretation Center 
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center.
Description:  Weathered, galvanized bare steel from roof and vent 
covers. Sample was completely oxidized.
*/
380, 0.2897,
382, 0.290,
384, 0.2903,
386, 0.2905,
388, 0.2905,
390, 0.2904,
392, 0.2902,
394, 0.2901,
396, 0.2899,
398, 0.2898,
400, 0.2896,
402, 0.2894,
404, 0.2891,
406, 0.2888,
408, 0.2886,
410, 0.2883,
412, 0.288,
414, 0.2877,
416, 0.2874,
418, 0.2872,
420, 0.287,
422, 0.2866,
424, 0.2863,
426, 0.286,
428, 0.2857,
430, 0.2855,
432, 0.2852,
434, 0.2849,
436, 0.2846,
438, 0.2842,
440, 0.2839,
442, 0.2836,
444, 0.2831,
446, 0.2827,
448, 0.2823,
450, 0.282,
452, 0.2816,
454, 0.2813,
456, 0.281,
458, 0.2808,
460, 0.2807,
462, 0.2804,
464, 0.2801,
466, 0.2798,
468, 0.2794,
470, 0.279,
472, 0.2786,
474, 0.2782,
476, 0.2779,
478, 0.2774,
480, 0.2769,
482, 0.2762,
484, 0.2756,
486, 0.2749,
488, 0.2744,
490, 0.274,
492, 0.2736,
494, 0.2735,
496, 0.2735,
498, 0.2735,
500, 0.2735,
502, 0.2733,
504, 0.273,
506, 0.2726,
508, 0.2722,
510, 0.2718,
512, 0.2713,
514, 0.2708,
516, 0.2703,
518, 0.2699,
520, 0.2695,
522, 0.269,
524, 0.2686,
526, 0.2681,
528, 0.2677,
530, 0.2672,
532, 0.2668,
534, 0.2663,
536, 0.2659,
538, 0.2654,
540, 0.2649,
542, 0.2645,
544, 0.264,
546, 0.2635,
548, 0.263,
550, 0.2625,
552, 0.2621,
554, 0.2615,
556, 0.261,
558, 0.2605,
560, 0.260,
562, 0.2594,
564, 0.2588,
566, 0.2582,
568, 0.2577,
570, 0.2571,
572, 0.2565,
574, 0.256,
576, 0.2554,
578, 0.2547,
580, 0.2541,
582, 0.2535,
584, 0.2529,
586, 0.2523,
588, 0.2517,
590, 0.2511,
592, 0.2505,
594, 0.2498,
596, 0.2493,
598, 0.2487,
600, 0.248,
602, 0.2474,
604, 0.2468,
606, 0.2462,
608, 0.2456,
610, 0.245,
612, 0.2444,
614, 0.2438,
616, 0.2433,
618, 0.2427,
620, 0.2421,
622, 0.2416,
624, 0.241,
626, 0.2404,
628, 0.2399,
630, 0.2394,
632, 0.2388,
634, 0.2383,
636, 0.2378,
638, 0.2372,
640, 0.2367,
642, 0.2362,
644, 0.2356,
646, 0.2351,
648, 0.2346,
650, 0.2341,
652, 0.2336,
654, 0.2331,
656, 0.2326,
658, 0.2322,
660, 0.2317,
662, 0.2312,
664, 0.2307,
666, 0.2302,
668, 0.2297,
670, 0.2292,
672, 0.2288,
674, 0.2283,
676, 0.2278,
678, 0.2273,
680, 0.2269,
682, 0.2264,
684, 0.2258,
686, 0.2254,
688, 0.2249,
690, 0.2244,
692, 0.224,
694, 0.2235,
696, 0.223,
698, 0.2226,
700, 0.2221,
702, 0.2217,
704, 0.2213,
706, 0.2208,
708, 0.2203,
710, 0.2199,
712, 0.2194,
714, 0.2189,
716, 0.2185,
718, 0.2181,
720, 0.2175,
722, 0.2171,
724, 0.2166,
726, 0.2162,
728, 0.2157,
730, 0.2152,
732, 0.2148,
734, 0.2143,
736, 0.2139,
738, 0.2135,
740, 0.213,
742, 0.2125,
744, 0.2121,
746, 0.2117,
748, 0.2112,
750, 0.2107,
752, 0.2102,
754, 0.2097,
756, 0.2092,
758, 0.2088,
760, 0.2083
}

#declare RS_Black_tar_paper = spline{ linear_spline
/*
Name:  Black tar paper
Type:  Manmade materials
Class:  Roofing Materials
Subclass:  Roofing Paper
Particle Size: Solid
Sample No.: 0522UUUTAR
Owner:  National Photographic Interpretation Center 
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center. 
*/
380, 0.0222  382, 0.0223  384, 0.0223  386, 0.0223  388, 0.0224 
390, 0.0224  392, 0.0225  394, 0.0225  396, 0.0225  398, 0.0226 
400, 0.0226  402, 0.0227  404, 0.0227  406, 0.0227  408, 0.0228 
410, 0.0228  412, 0.0228  414, 0.0229  416, 0.0229  418, 0.0229 
420, 0.0230  422, 0.0230  424, 0.0231  426, 0.0231  428, 0.0231 
430, 0.0232  432, 0.0232  434, 0.0232  436, 0.0233  438, 0.0233 
440, 0.0234  442, 0.0234  444, 0.0234  446, 0.0234  448, 0.0234 
450, 0.0235  452, 0.0235  454, 0.0236  456, 0.0236  458, 0.0237 
460, 0.0237  462, 0.0237  464, 0.0238  466, 0.0238  468, 0.0238 
470, 0.0238  472, 0.0238  474, 0.0239  476, 0.0239  478, 0.0239 
480, 0.0239  482, 0.0239  484, 0.0238  486, 0.0238  488, 0.0238 
490, 0.0239  492, 0.0239  494, 0.0240  496, 0.0241  498, 0.0242 
500, 0.0243  502, 0.0243  504, 0.0244  506, 0.0244  508, 0.0245 
510, 0.0245  512, 0.0245  514, 0.0245  516, 0.0245  518, 0.0246 
520, 0.0246  522, 0.0246  524, 0.0247  526, 0.0247  528, 0.0247 
530, 0.0248  532, 0.0248  534, 0.0248  536, 0.0249  538, 0.0249 
540, 0.0249  542, 0.0250  544, 0.0250  546, 0.0250  548, 0.0251 
550, 0.0251  552, 0.0251  554, 0.0252  556, 0.0252  558, 0.0253 
560, 0.0253  562, 0.0253  564, 0.0254  566, 0.0254  568, 0.0255 
570, 0.0255  572, 0.0255  574, 0.0256  576, 0.0256  578, 0.0256 
580, 0.0257  582, 0.0257  584, 0.0257  586, 0.0258  588, 0.0258 
590, 0.0259  592, 0.0259  594, 0.0259  596, 0.0260  598, 0.0260 
600, 0.0260  602, 0.0261  604, 0.0261  606, 0.0261  608, 0.0262 
610, 0.0262  612, 0.0262  614, 0.0262  616, 0.0263  618, 0.0263 
620, 0.0263  622, 0.0264  624, 0.0264  626, 0.0264  628, 0.0264 
630, 0.0265  632, 0.0265  634, 0.0265  636, 0.0266  638, 0.0266 
640, 0.0266  642, 0.0266  644, 0.0267  646, 0.0267  648, 0.0267 
650, 0.0268  652, 0.0268  654, 0.0268  656, 0.0268  658, 0.0269 
660, 0.0269  662, 0.0270  664, 0.0270  666, 0.0270  668, 0.0270 
670, 0.0271  672, 0.0271  674, 0.0271  676, 0.0272  678, 0.0272 
680, 0.0272  682, 0.0273  684, 0.0273  686, 0.0273  688, 0.0273 
690, 0.0273  692, 0.0274  694, 0.0274  696, 0.0275  698, 0.0275 
700, 0.0275  702, 0.0276  704, 0.0276  706, 0.0276  708, 0.0276 
710, 0.0277  712, 0.0277  714, 0.0277  716, 0.0278  718, 0.0278 
720, 0.0278  722, 0.0279  724, 0.0279  726, 0.0279  728, 0.0280 
730, 0.0280  732, 0.0280  734, 0.0281  736, 0.0281  738, 0.0282 
740, 0.0282  742, 0.0282  744, 0.0282  746, 0.0283  748, 0.0283 
750, 0.0283  752, 0.0284  754, 0.0284  756, 0.0284  758, 0.0284 
760, 0.0285
}

#declare RS_Terra_Cotta_Tiles = spline{ linear_spline
/*
Name:  Terra cotta Tiles
Type:  Manmade materials
Class:  Roofing Materials
Subclass:  Tile
Particle Size: Solid
Sample No.:  0484UUUPOT
Owner:  National Photographic Interpretation Center 
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center.
*/
380, 0.0732  382, 0.0737  384, 0.0743  386, 0.0748  388, 0.0753 
390, 0.0758  392, 0.0763  394, 0.0768  396, 0.0773  398, 0.0777 
400, 0.0781  402, 0.0786  404, 0.0790  406, 0.0794  408, 0.0797 
410, 0.0801  412, 0.0805  414, 0.0809  416, 0.0812  418, 0.0816 
420, 0.0821  422, 0.0825  424, 0.0829  426, 0.0833  428, 0.0838 
430, 0.0843  432, 0.0847  434, 0.0851  436, 0.0856  438, 0.0860 
440, 0.0865  442, 0.0868  444, 0.0872  446, 0.0875  448, 0.0878 
450, 0.0881  452, 0.0884  454, 0.0887  456, 0.0890  458, 0.0894 
460, 0.0897  462, 0.0900  464, 0.0903  466, 0.0905  468, 0.0908 
470, 0.0910  472, 0.0912  474, 0.0915  476, 0.0918  478, 0.0921 
480, 0.0923  482, 0.0925  484, 0.0927  486, 0.0930  488, 0.0933 
490, 0.0937  492, 0.0941  494, 0.0947  496, 0.0953  498, 0.0960 
500, 0.0967  502, 0.0973  504, 0.0979  506, 0.0984  508, 0.0989 
510, 0.0995  512, 0.1000  514, 0.1005  516, 0.1010  518, 0.1016 
520, 0.1021  522, 0.1027  524, 0.1032  526, 0.1038  528, 0.1043 
530, 0.1049  532, 0.1055  534, 0.1061  536, 0.1067  538, 0.1073 
540, 0.1079  542, 0.1085  544, 0.1092  546, 0.1099  548, 0.1106 
550, 0.1114  552, 0.1121  554, 0.1130  556, 0.1138  558, 0.1147 
560, 0.1157  562, 0.1166  564, 0.1176  566, 0.1186  568, 0.1197 
570, 0.1208  572, 0.1219  574, 0.1230  576, 0.1242  578, 0.1252 
580, 0.1263  582, 0.1274  584, 0.1284  586, 0.1294  588, 0.1303 
590, 0.1312  592, 0.1320  594, 0.1328  596, 0.1335  598, 0.1342 
600, 0.1348  602, 0.1353  604, 0.1358  606, 0.1362  608, 0.1366 
610, 0.1370  612, 0.1373  614, 0.1376  616, 0.1378  618, 0.1381 
620, 0.1383  622, 0.1385  624, 0.1387  626, 0.1389  628, 0.1391 
630, 0.1394  632, 0.1396  634, 0.1397  636, 0.1399  638, 0.1400 
640, 0.1401  642, 0.1401  644, 0.1402  646, 0.1403  648, 0.1404 
650, 0.1405  652, 0.1406  654, 0.1408  656, 0.1409  658, 0.1410 
660, 0.1410  662, 0.1411  664, 0.1412  666, 0.1413  668, 0.1413 
670, 0.1415  672, 0.1417  674, 0.1419  676, 0.1421  678, 0.1423 
680, 0.1425  682, 0.1428  684, 0.1433  686, 0.1438  688, 0.1445 
690, 0.1453  692, 0.1462  694, 0.1472  696, 0.1481  698, 0.1491 
700, 0.1500  702, 0.1509  704, 0.1517  706, 0.1525  708, 0.1531 
710, 0.1538  712, 0.1544  714, 0.1549  716, 0.1554  718, 0.1558 
720, 0.1562  722, 0.1566  724, 0.1570  726, 0.1573  728, 0.1576 
730, 0.1579  732, 0.1582  734, 0.1584  736, 0.1586  738, 0.1589 
740, 0.1591  742, 0.1593  744, 0.1595  746, 0.1596  748, 0.1598 
750, 0.1599  752, 0.1601  754, 0.1602  756, 0.1603  758, 0.1604 
760, 0.1605
}

#declare RS_White_Marble = spline{ linear_spline
/*
Name:  White Marble
Type:  Manmade materials
Class:  General Construction Materials
Subclass:  Marble
Particle Size: Solid
Sample No.: 0722UUUMBL
Owner:  National Photographic Interpretation Center 
Wavelength Range:  All
Origin: Spectra obtained from the Noncoventional Exploitation Factors 
Data System of the National Photographic Interpretation Center.
Description:  White weathered construction marble. Sample was 
beach sidewalk from Greece (Naxos).
*/
420, 0.6262,
422, 0.6309,
424, 0.6355,
426, 0.6403,
428, 0.6451,
430, 0.6499
432, 0.6547,
434, 0.6595,
436, 0.6642,
438, 0.6688,
440, 0.6731,
442, 0.6772,
444, 0.6811,
446, 0.6846,
448, 0.6878,
450, 0.6907,
452, 0.6935,
454, 0.6959,
456, 0.6981,
458, 0.7000,
460, 0.7019,
462, 0.7037,
464, 0.7053,
466, 0.7071,
468, 0.7087,
470, 0.7104,
472, 0.7120,
474, 0.7138,
476, 0.7156,
478, 0.7174,
480, 0.7194,
482, 0.7216,
484, 0.7237,
486, 0.7257,
488, 0.7280,
490, 0.7304,
492, 0.7328,
494, 0.7352,
496, 0.7377,
498, 0.7401,
500, 0.7426,
502, 0.7450,
504, 0.7475,
506, 0.7500,
508, 0.7526,
510, 0.7550,
512, 0.7572,
514, 0.7596,
516, 0.7618,
518, 0.7640,
520, 0.7662,
522, 0.7683,
524, 0.7704,
526, 0.7724,
528, 0.7743,
530, 0.7761,
532, 0.7780,
534, 0.7797,
536, 0.7814,
538, 0.7831,
540, 0.7847,
542, 0.7863,
544, 0.7878,
546, 0.7892,
548, 0.7907,
550, 0.7921,
552, 0.7933,
554, 0.7945,
556, 0.7956,
558, 0.7969,
560, 0.7981,
562, 0.7990,
564, 0.7999,
566, 0.8008,
568, 0.8016,
570, 0.8024,
572, 0.8033,
574, 0.8041,
576, 0.8048,
578, 0.8054,
580, 0.8061,
582, 0.8067,
584, 0.8073,
586, 0.8078,
588, 0.8083,
590, 0.8088,
592, 0.8092,
594, 0.8095,
596, 0.8100,
598, 0.8106,
600, 0.8109,
602, 0.8113,
604, 0.8117,
606, 0.8120,
608, 0.8124,
610, 0.8127,
612, 0.8130,
614, 0.8134,
616, 0.8137,
618, 0.8140,
620, 0.8143,
622, 0.8147,
624, 0.8151,
626, 0.8154,
628, 0.8158,
630, 0.8161,
632, 0.8166,
634, 0.8172,
636, 0.8175,
638, 0.8179,
640, 0.8183,
642, 0.8186,
644, 0.8188,
646, 0.8193,
648, 0.8198,
650, 0.8203,
652, 0.8207,
654, 0.8211,
656, 0.8216,
658, 0.8221,
660, 0.8225,
662, 0.8228,
664, 0.8234,
666, 0.8240,
668, 0.8244,
670, 0.8248,
672, 0.8253,
674, 0.8260,
676, 0.8264,
678, 0.8267,
680, 0.8270,
682, 0.8272,
684, 0.8274,
686, 0.8278,
688, 0.8280,
690, 0.8285,
692, 0.8289,
694, 0.8293,
696, 0.8296,
698, 0.8302,
700, 0.8305,
702, 0.8310,
704, 0.8314,
706, 0.8315,
708, 0.8320,
710, 0.8325,
712, 0.8329,
714, 0.8331,
716, 0.8335,
718, 0.8338,
720, 0.8340,
722, 0.8344,
724, 0.8348,
726, 0.8351,
728, 0.8353,
730, 0.8356,
732, 0.8360,
734, 0.8363,
736, 0.8366,
738, 0.8368,
740, 0.8370,
742, 0.8373,
744, 0.8377,
746, 0.8380,
748, 0.8381,
750, 0.8383,
752, 0.8387,
754, 0.8388,
756, 0.8392,
758, 0.8396,
760, 0.8396
}

#declare RS_Fine_Snow = spline{ linear_spline
/*
Name:  Fine Snow
Type:  Frost, Snow and Ice
Class:  Snow
Subclass:  Fine snow.
Particle Size: 24 micrometers effective size
Sample No.:  Original filename FINE.SNW.
Owner:  Dept. of Earth and Planetary Science, John Hopkins University
Wavelength Range:  All
Origin:  Collected at John Hopkins University IR Spectroscopy Lab.  
*/
380, 0.987790,
390, 0.988682,
400, 0.988448,
410, 0.989542,
420, 0.989610,
430, 0.990498,
440, 0.991250,
450, 0.992066,
460, 0.992816,
470, 0.992252,
480, 0.991876,
490, 0.992370,
500, 0.990986,
510, 0.991030,
520, 0.991016,
530, 0.991160,
540, 0.989906,
550, 0.989686,
560, 0.989932,
570, 0.989200,
580, 0.988786,
590, 0.987642,
600, 0.986574,
610, 0.985734,
620, 0.983686,
630, 0.982560,
640, 0.981058,
650, 0.977940,
660, 0.977788,
670, 0.977460,
680, 0.976460,
690, 0.974890,
700, 0.967696,
710, 0.970328,
720, 0.967158,
730, 0.966296,
740, 0.962220,
750, 0.959268,
760, 0.954904
}

#declare RS_Ice = spline{ linear_spline
/*
Name:  Ice
Type:  Frost, Snow and Ice
Class:  Ice
Subclass:  
Particle Size:  solid
Sample No.:  Original filename ICE.DAT.
Owner:  Dept. of Earth and Planetary Science, John Hopkins University
Wavelength Range:  All
Origin:  Collected at John Hopkins University IR Spectroscopy Lab.
*/
 380, 0.0192, 382, 0.0192, 384, 0.0191, 386, 0.0191, 388, 0.0191,
 390, 0.0191, 392, 0.0190, 394, 0.0190, 396, 0.0190, 398, 0.0190,
 400, 0.0190, 402, 0.0189, 404, 0.0189, 406, 0.0189, 408, 0.0189,
 410, 0.0189, 412, 0.0189, 414, 0.0188, 416, 0.0188, 418, 0.0188,
 420, 0.0188, 422, 0.0188, 424, 0.0188, 426, 0.0187, 428, 0.0187,
 430, 0.0187, 432, 0.0187, 434, 0.0187, 436, 0.0187, 438, 0.0187,
 440, 0.0187, 442, 0.0186, 444, 0.0186, 446, 0.0186, 448, 0.0186,
 450, 0.0186, 452, 0.0186, 454, 0.0186, 456, 0.0185, 458, 0.0185,
 460, 0.0185, 462, 0.0185, 464, 0.0185, 466, 0.0185, 468, 0.0185,
 470, 0.0185, 472, 0.0185, 474, 0.0184, 476, 0.0184, 478, 0.0184,
 480, 0.0184, 482, 0.0184, 484, 0.0184, 486, 0.0184, 488, 0.0184,
 490, 0.0184, 492, 0.0184, 494, 0.0183, 496, 0.0183, 498, 0.0183,
 500, 0.0183, 502, 0.0183, 504, 0.0183, 506, 0.0183, 508, 0.0183,
 510, 0.0183, 512, 0.0183, 514, 0.0183, 516, 0.0182, 518, 0.0182,
 520, 0.0182, 522, 0.0182, 524, 0.0182, 526, 0.0182, 528, 0.0182,
 530, 0.0182, 532, 0.0182, 534, 0.0182, 536, 0.0182, 538, 0.0182,
 540, 0.0181, 542, 0.0181, 544, 0.0181, 546, 0.0181, 548, 0.0181,
 550, 0.0181, 552, 0.0181, 554, 0.0181, 556, 0.0181, 558, 0.0181,
 560, 0.0181, 562, 0.0181, 564, 0.0181, 566, 0.0181, 568, 0.0180,
 570, 0.0180, 572, 0.0180, 574, 0.0180, 576, 0.0180, 578, 0.0180,
 580, 0.0180, 582, 0.0180, 584, 0.0180, 586, 0.0180, 588, 0.0180,
 590, 0.0180, 592, 0.0180, 594, 0.0180, 596, 0.0180, 598, 0.0180,
 600, 0.0179, 602, 0.0179, 604, 0.0179, 606, 0.0179, 608, 0.0179,
 610, 0.0179, 612, 0.0179, 614, 0.0179, 616, 0.0179, 618, 0.0179,
 620, 0.0179, 622, 0.0179, 624, 0.0179, 626, 0.0179, 628, 0.0179,
 630, 0.0179, 632, 0.0179, 634, 0.0179, 636, 0.0178, 638, 0.0178,
 640, 0.0178, 642, 0.0178, 644, 0.0178, 646, 0.0178, 648, 0.0178,
 650, 0.0178, 652, 0.0178, 654, 0.0178, 656, 0.0178, 658, 0.0178,
 660, 0.0178, 662, 0.0178, 664, 0.0178, 666, 0.0178, 668, 0.0178,
 670, 0.0178, 672, 0.0178, 674, 0.0178, 676, 0.0178, 678, 0.0177,
 680, 0.0177, 682, 0.0177, 684, 0.0177, 686, 0.0177, 688, 0.0177,
 690, 0.0177, 692, 0.0177, 694, 0.0177, 696, 0.0177, 698, 0.0177,
 700, 0.0177, 702, 0.0177, 704, 0.0177, 706, 0.0177, 708, 0.0177,
 710, 0.0177, 712, 0.0177, 714, 0.0177, 716, 0.0177, 718, 0.0177,
 720, 0.0177, 722, 0.0177, 724, 0.0176, 726, 0.0176, 728, 0.0176,
 730, 0.0176, 732, 0.0176, 734, 0.0176, 736, 0.0176, 738, 0.0176,
 740, 0.0176, 742, 0.0176, 744, 0.0176, 746, 0.0176, 748, 0.0176,
 750, 0.0176, 752, 0.0176, 754, 0.0176, 756, 0.0176, 758, 0.0176,
 760, 0.0176
}

#declare RS_Medium_Granular_Snow = spline{ linear_spline
/*
Name:  Medium Granular Snow
Type:  Frost, Snow and Ice
Class:  Snow
Subclass: Medium Granular
Particle Size: 82 micrometers effective size.
Sample No.:  Original filename MEDGRAN.SNW.
Owner:  Dept. of Earth and Planetary Science, John Hopkins University
Wavelength Range:  All
Origin:  John Hopkins University IR Spectroscopy Lab.
*/
380, 0.978128,
390, 0.978364,
400, 0.979742,
410, 0.980590,
420, 0.982082,
430, 0.982904,
440, 0.983788,
450, 0.985382,
460, 0.985358,
470, 0.985780,
480, 0.985652,
490, 0.985218,
500, 0.984490,
510, 0.983594,
520, 0.983238,
530, 0.982340,
540, 0.981114,
550, 0.981506,
560, 0.980972,
570, 0.980126,
580, 0.979014,
590, 0.976920,
600, 0.975248,
610, 0.972970,
620, 0.970758,
630, 0.968094,
640, 0.965854,
650, 0.959750,
660, 0.960252,
670, 0.957928,
680, 0.956154,
690, 0.953290,
700, 0.949490,
710, 0.945520,
720, 0.941698,
730, 0.939724,
740, 0.936170,
750, 0.930604,
760, 0.924986
}  

#declare RS_Tap_water  = spline{ linear_spline
/*
Name: Tap water 
Type: Water
Class: Tap Water 
Subclass:  
Particle Size: Liquid
File Name: tapwater.doc
Owner: Dept. of Earth and Planetary Science, John Hopkins University
Wavelength Range: IR
Origin: JHU IR Spectroscopy Lab. Original filename TAPWATER.
*/
 760, 0.0265, 759, 0.0266, 758, 0.0273, 757, 0.0265, 756, 0.0266,
 755, 0.0274, 754, 0.0275, 753, 0.0274, 752, 0.0275, 751, 0.0274,
 750, 0.0265, 749, 0.0274, 748, 0.0274, 747, 0.0274, 746, 0.0265,
 745, 0.0283, 744, 0.0274, 743, 0.0266, 742, 0.0282, 741, 0.0274,
 740, 0.0273, 739, 0.0266, 738, 0.0256, 737, 0.0265, 736, 0.0274,
 735, 0.0274, 734, 0.0266, 733, 0.0274, 732, 0.0275, 731, 0.0275,
 730, 0.0267, 729, 0.0257, 728, 0.0258, 727, 0.0275, 726, 0.0257,
 725, 0.0257, 724, 0.0275, 723, 0.0291, 722, 0.0257, 721, 0.0263,
 720, 0.0248, 719, 0.0257, 718, 0.0257, 717, 0.0257, 716, 0.0257,
 715, 0.0274, 714, 0.0276, 713, 0.0276, 712, 0.0258, 711, 0.0258,
 710, 0.0274, 709, 0.0258, 708, 0.0274, 707, 0.0274, 706, 0.0250,
 705, 0.0275, 704, 0.0258, 703, 0.0274, 702, 0.0274, 701, 0.0273,
 700, 0.0274, 699, 0.0266, 698, 0.0253, 697, 0.0252, 696, 0.0261,
 695, 0.0252, 694, 0.0252, 693, 0.0243, 692, 0.0260, 691, 0.0269,
 690, 0.0252, 689, 0.0252, 688, 0.0251, 687, 0.0268, 686, 0.0269,
 685, 0.0268, 684, 0.0269, 683, 0.0269, 682, 0.0243, 681, 0.0269,
 680, 0.0268, 679, 0.0269, 678, 0.0269, 677, 0.0268, 676, 0.0269,
 675, 0.0278, 674, 0.0278, 673, 0.0278, 672, 0.0269, 671, 0.0268,
 670, 0.0269, 669, 0.0269, 668, 0.0260, 667, 0.0259, 666, 0.0259,
 665, 0.0268, 664, 0.0268, 663, 0.0269, 662, 0.0269, 661, 0.0269,
 660, 0.0269, 659, 0.0269, 658, 0.0268, 657, 0.0260, 656, 0.0259,
 655, 0.0258, 654, 0.0258, 653, 0.0259, 652, 0.0260, 651, 0.0268,
 650, 0.0269, 649, 0.0269, 648, 0.0268, 647, 0.0267, 646, 0.0266,
 645, 0.0267, 644, 0.0258, 643, 0.0267, 642, 0.0266, 641, 0.0267,
 640, 0.0258, 639, 0.0268, 638, 0.0259, 637, 0.0261, 636, 0.0270,
 635, 0.0260, 634, 0.0277, 633, 0.0268, 632, 0.0269, 631, 0.0270,
 630, 0.0269, 629, 0.0260, 628, 0.0259, 627, 0.0258, 626, 0.0259,
 625, 0.0260, 624, 0.0277, 623, 0.0268, 622, 0.0268, 621, 0.0268,
 620, 0.0268, 619, 0.0260, 618, 0.0267, 617, 0.0267, 616, 0.0277,
 615, 0.0268, 614, 0.0268, 613, 0.0268, 612, 0.0267, 611, 0.0284,
 610, 0.0267, 609, 0.0267, 608, 0.0267, 607, 0.0258, 606, 0.0266,
 605, 0.0267, 604, 0.0276, 603, 0.0267, 602, 0.0268, 601, 0.0269,
 600, 0.0262, 599, 0.0262, 598, 0.0264, 597, 0.0282, 596, 0.0272,
 595, 0.0273, 594, 0.0282, 593, 0.0274, 592, 0.0265, 591, 0.0274,
 590, 0.0275, 589, 0.0274, 588, 0.0267, 587, 0.0273, 586, 0.0273,
 585, 0.0273, 584, 0.0282, 583, 0.0265, 582, 0.0273, 581, 0.0273,
 580, 0.0272, 579, 0.0263, 578, 0.0274, 577, 0.0274, 576, 0.0273,
 575, 0.0272, 574, 0.0272, 573, 0.0261, 572, 0.0260, 571, 0.0267,
 570, 0.0267, 569, 0.0275, 568, 0.0267, 567, 0.0268, 566, 0.0268,
 565, 0.0259, 564, 0.0268, 563, 0.0269, 562, 0.0269, 561, 0.0261,
 560, 0.0269, 559, 0.0280, 558, 0.0250, 557, 0.0267, 556, 0.0267,
 555, 0.0276, 554, 0.0276, 553, 0.0276, 552, 0.0268, 551, 0.0277,
 550, 0.0278, 549, 0.0278, 548, 0.0269, 547, 0.0277, 546, 0.0260,
 545, 0.0261, 544, 0.0269, 543, 0.0277, 542, 0.0260, 541, 0.0260,
 540, 0.0270, 539, 0.0278, 538, 0.0270, 537, 0.0271, 536, 0.0270,
 535, 0.0270, 534, 0.0270, 533, 0.0278, 532, 0.0278, 531, 0.0270,
 530, 0.0253, 529, 0.0254, 528, 0.0280, 527, 0.0280, 526, 0.0271,
 525, 0.0271, 524, 0.0280, 523, 0.0281, 522, 0.0270, 521, 0.0270,
 520, 0.0262, 519, 0.0281, 518, 0.0280, 517, 0.0281, 516, 0.0280,
 515, 0.0280, 514, 0.0263, 513, 0.0264, 512, 0.0263, 511, 0.0263,
 510, 0.0263, 509, 0.0263, 508, 0.0263, 507, 0.0282, 506, 0.0264,
 505, 0.0282, 504, 0.0281, 503, 0.0299, 502, 0.0282, 501, 0.0282,
 500, 0.0282, 499, 0.0283, 498, 0.0283, 497, 0.0274, 496, 0.0256,
 495, 0.0255, 494, 0.0274, 493, 0.0274, 492, 0.0274, 491, 0.0256,
 490, 0.0274, 489, 0.0274, 488, 0.0274, 487, 0.0284, 486, 0.0275,
 485, 0.0275, 484, 0.0275, 483, 0.0277, 482, 0.0277, 481, 0.0276,
 480, 0.0267, 479, 0.0267, 478, 0.0267, 477, 0.0277, 476, 0.0285,
 475, 0.0285, 474, 0.0277, 473, 0.0278, 472, 0.0287, 471, 0.0306,
 470, 0.0306, 469, 0.0288, 468, 0.0289, 467, 0.0288, 466, 0.0288,
 465, 0.0288, 464, 0.0280, 463, 0.0280, 462, 0.0280, 461, 0.0280,
 460, 0.0290, 459, 0.0304, 458, 0.0296, 457, 0.0288, 456, 0.0288,
 455, 0.0280, 454, 0.0289, 453, 0.0288, 452, 0.0289, 451, 0.0289,
 450, 0.0272, 449, 0.0290, 448, 0.0300, 447, 0.0291, 446, 0.0282,
 445, 0.0292, 444, 0.0291, 443, 0.0292, 442, 0.0292, 441, 0.0283,
 440, 0.0284, 439, 0.0285, 438, 0.0284, 437, 0.0284, 436, 0.0276,
 435, 0.0276, 434, 0.0268, 433, 0.0268, 432, 0.0268, 431, 0.0268,
 430, 0.0286, 429, 0.0278, 428, 0.0287, 427, 0.0287, 426, 0.0278,
 425, 0.0306, 424, 0.0288, 423, 0.0279, 422, 0.0279, 421, 0.0288,
 420, 0.0279, 419, 0.0289, 418, 0.0271, 417, 0.0299, 416, 0.0272,
 415, 0.0280, 414, 0.0290, 413, 0.0290, 412, 0.0300, 411, 0.0282,
 410, 0.0292, 409, 0.0292, 408, 0.0274, 407, 0.0274, 406, 0.0274,
 405, 0.0274, 404, 0.0265, 403, 0.0274, 402, 0.0274, 401, 0.0274,
 400, 0.0274
}

#declare RS_Frost  = spline{ linear_spline
/*
Name:  Frost
Type:  Frost, Snow and Ice
Class:  Frost
Subclass:  
Particle Size:  10 micrometers effective size.
Sample No.:  Original filename FROST.SNW.
Owner:  Dept. of Earth and Planetary Science, John Hopkins University
Wavelength Range:  All
Origin:  Collected at John Hopkins University IR Spectroscopy Lab.  
*/
 380, 0.992500,
 390, 0.992520,
 400, 0.992440,
 410, 0.993500,
 420, 0.992840,
 430, 0.994180,
 440, 0.993640,
 450, 0.994920,
 460, 0.994820,
 470, 0.995160,
 480, 0.994840,
 490, 0.994460,
 500, 0.994480,
 510, 0.994460,
 520, 0.993940,
 530, 0.994560,
 540, 0.993280,
 550, 0.993800,
 560, 0.993280,
 570, 0.992860,
 580, 0.993100,
 590, 0.992800,
 600, 0.991980,
 610, 0.991100,
 620, 0.989640,
 630, 0.989180,
 640, 0.988400,
 650, 0.987560,
 660, 0.986280,
 670, 0.985680,
 680, 0.985040,
 690, 0.984200,
 700, 0.981760,
 710, 0.980980,
 720, 0.980380,
 730, 0.979380,
 740, 0.978360,
 750, 0.976660,
 760, 0.974320
}

#declare RS_Dry_grass  = spline{ linear_spline
/*
Name: Dry grass
Type:  Vegetation
Class:  Grasses
Subclass:  Dry grass
Particle Size:  Solid
Sample No.:  drygrass.doc
Owner:  JHU
Wavelength Range:  All
Origin:  The entire spectral range was measured at Johns Hopkins University.
Description:  Dry grass.  Spectra were assembled from two segments; the 
bidirectional VNIR and SWIR comprising segment one, and the hemispherical 
MWIR and TIR comprising segment two. The VNIR/SWIR spectrum was 
measured in the laboratory at JHU with a GER IRIS Mark IV, using a large piece 
of sod.  The grass was illuminated from directly above and measured at a 
reflectance angle of 60 degrees to avoid viewing the thatch. 
*/
380.49, 0.14249,
382.99, 0.14251,
385.44, 0.14546,
387.91, 0.14694,
390.38, 0.14842,
392.86, 0.1499,
395.31, 0.15285,
397.78, 0.15434,
400.23, 0.15729,
402.71, 0.15877,
405.16, 0.16172,
407.63, 0.1632,
410.06, 0.16762,
412.51, 0.17057,
414.96, 0.17352,
417.43, 0.175,
419.91, 0.17649,
422.38, 0.17797,
424.85, 0.17945,
427.30, 0.1824,
429.76, 0.18535,
432.23, 0.18683,
434.70, 0.18831,
437.13, 0.19273,
439.56, 0.19715,
442.03, 0.19863,
444.48, 0.20158,
446.95, 0.20307,
449.43, 0.20455,
451.90, 0.20603,
454.35, 0.20898,
456.83, 0.21046,
459.28, 0.21341,
461.73, 0.21636,
464.15, 0.22078,
466.63, 0.22226,
469.13, 0.22228,
471.55, 0.2267,
474.03, 0.22818,
476.48, 0.23113,
478.95, 0.23261,
481.40, 0.23556,
483.87, 0.23704,
486.35, 0.23852,
488.82, 0.24001,
491.27, 0.24296,
493.75, 0.24444,
496.20, 0.24739,
498.65, 0.25034,
501.12, 0.25182,
503.59, 0.2533,
506.04, 0.25625,
508.52, 0.25774,
510.97, 0.26069,
513.44, 0.26217,
515.89, 0.26512,
518.34, 0.26807,
520.82, 0.26955,
523.27, 0.2725,
525.70, 0.27692,
528.17, 0.2784,
530.60, 0.28282,
533.05, 0.28577,
535.50, 0.28872,
537.97, 0.2902,
540.40, 0.29462,
542.87, 0.2961,
545.27, 0.30199,
547.75, 0.30347,
550.20, 0.30642,
552.67, 0.30791,
555.12, 0.31086,
557.60, 0.31234,
560.07, 0.31382,
562.54, 0.3153,
564.99, 0.31825,
567.47, 0.31973,
569.92, 0.32269,
572.39, 0.32417,
574.82, 0.32859,
577.29, 0.33007,
579.74, 0.33302,
582.22, 0.3345,
584.64, 0.33892,
587.14, 0.33893,
589.57, 0.34335,
592.02, 0.3463,
594.49, 0.34778,
596.94, 0.35073,
599.42, 0.35222,
601.87, 0.35517,
604.34, 0.35665,
606.79, 0.3596,
609.27, 0.36108,
611.72, 0.36403,
614.19, 0.36551,
616.64, 0.36846,
619.09, 0.37141,
621.54, 0.37436,
624.01, 0.37585,
626.44, 0.38027,
628.92, 0.38175,
631.39, 0.38323,
633.82, 0.38765,
636.29, 0.38913,
638.74, 0.39208,
641.22, 0.39356,
643.64, 0.39798,
646.12, 0.39946,
648.57, 0.40241,
651.04, 0.40389,
653.49, 0.40685,
655.96, 0.40833,
658.39, 0.41275,
660.87, 0.41423,
663.29, 0.41865,
665.77, 0.42013,
668.22, 0.42308,
670.69, 0.42456,
673.09, 0.43045,
675.57, 0.43193,
677.99, 0.43635,
680.45, 0.4393,
682.90, 0.44225,
685.37, 0.44373,
687.80, 0.44815,
690.27, 0.44963,
692.70, 0.45405,
695.17, 0.45553,
697.60, 0.45995,
700.07, 0.46143,
702.50, 0.46585,
704.97, 0.46733,
707.42, 0.47028,
709.90, 0.47177,
712.28, 0.47912,
714.77, 0.47914,
717.20, 0.48355,
719.65, 0.4865,
722.10, 0.48946,
724.57, 0.49094,
727.05, 0.49242,
729.52, 0.4939,
731.97, 0.49685,
734.45, 0.49833,
736.90, 0.50128,
739.37, 0.50277,
741.85, 0.50425,
744.34, 0.50426,
746.79, 0.50721,
749.29, 0.50723,
751.74, 0.51018,
754.24, 0.51019,
756.69, 0.51314,
759.16, 0.51462,
761.64, 0.51611
}

#declare RS_Grass  = spline{ linear_spline
/*
Name: Grass
Type:  Vegetation
Class:  Grasses
Subclass:  Green grass
Particle Size:  Solid
Sample No.: grass.doc
Owner:  JHU
Wavelength Range:  All
Origin:  The entire spectral range was measured at Johns Hopkins University--
see file vegetata.doc for details.
Description:  Green Rye grass. Spectra were assembled from two segments; the 
bidirectional VNIR and SWIR comprising segment one, and the hemispherical 
MWIR and TIR comprising segment two. The VNIR/SWIR spectrum was 
measured in the laboratory at JHU with a GER IRIS Mark IV, using a large piece 
of sod.  The grass was illuminated from directly above and measured at a 
reflectance angle of 60 degrees to avoid viewing the thatch. 
*/
380, 0.036465,
382, 0.036641,
384, 0.036818,
386, 0.036994,
388, 0.037171,
390, 0.037347,
392, 0.037524,
394, 0.0377,
396, 0.037876,
398, 0.038053,
400, 0.038229,
402, 0.038406,
404, 0.038533,
406, 0.03862,
408, 0.038773,
410, 0.038887,
412, 0.038945,
414, 0.039064,
416, 0.039233,
418, 0.039298,
420, 0.039397,
422, 0.03953,
424, 0.039714,
426, 0.039794,
428, 0.039864,
430, 0.04014,
432, 0.040143,
434, 0.04029,
436, 0.040321,
438, 0.040495,
440, 0.040597,
442, 0.040698,
444, 0.040786,
446, 0.040926,
448, 0.041072,
450, 0.041194,
452, 0.041294,
454, 0.041362,
456, 0.041487,
458, 0.041629,
460, 0.04179,
462, 0.04189,
464, 0.041996,
466, 0.042063,
468, 0.042185,
470, 0.042327,
472, 0.042435,
474, 0.042597,
476, 0.042674,
478, 0.042768,
480, 0.042894,
482, 0.043055,
484, 0.0431,
486, 0.043268,
488, 0.043348,
490, 0.043485,
492, 0.043605,
494, 0.043706,
496, 0.04399,
498, 0.044595,
500, 0.045412,
502, 0.046444,
504, 0.047634,
506, 0.048893,
508, 0.050719,
510, 0.053314,
512, 0.056175,
514, 0.059142,
516, 0.062804,
518, 0.0671,
520, 0.071183,
522, 0.075386,
524, 0.080256,
526, 0.084949,
528, 0.089023,
530, 0.092914,
532, 0.096696,
534, 0.099535,
536, 0.10169,
538, 0.10353,
540, 0.10528,
542, 0.1068,
544, 0.10811,
546, 0.10912,
548, 0.1098,
550, 0.11022,
552, 0.11064,
554, 0.1111,
556, 0.11123,
558, 0.11076,
560, 0.10975,
562, 0.10843,
564, 0.10682,
566, 0.10507,
568, 0.1029,
570, 0.10024,
572, 0.097302,
574, 0.094614,
576, 0.091871,
578, 0.08903,
580, 0.086963,
582, 0.085306,
584, 0.083636,
586, 0.081922,
588, 0.080257,
590, 0.078833,
592, 0.07765,
594, 0.076732,
596, 0.075929,
598, 0.075385,
600, 0.074901,
602, 0.074273,
604, 0.073543,
606, 0.072815,
608, 0.072092,
610, 0.071235,
612, 0.070351,
614, 0.06938,
616, 0.068276,
618, 0.067068,
620, 0.065917,
622, 0.06495,
624, 0.064216,
626, 0.063698,
628, 0.063276,
630, 0.062904,
632, 0.062538,
634, 0.062075,
636, 0.06146,
638, 0.060592,
640, 0.0595,
642, 0.058202,
644, 0.056705,
646, 0.055117,
648, 0.05356,
650, 0.05212,
652, 0.051095,
654, 0.05046,
656, 0.049945,
658, 0.049367,
660, 0.04872,
662, 0.047927,
664, 0.04712,
666, 0.046474,
668, 0.04571,
670, 0.04508,
672, 0.04474,
674, 0.044548,
676, 0.04437,
678, 0.044425,
680, 0.04489,
682, 0.046093,
684, 0.04799,
686, 0.050242,
688, 0.052782,
690, 0.056244,
692, 0.061872,
694, 0.069404,
696, 0.077736,
698, 0.087253,
700, 0.098682,
702, 0.11099,
704, 0.1249,
706, 0.14113,
708, 0.15674,
710, 0.17197,
712, 0.18675,
714, 0.20243,
716, 0.21793,
718, 0.23376,
720, 0.25036,
722, 0.26632,
724, 0.28417,
726, 0.30119,
728, 0.31709,
730, 0.33283,
732, 0.34914,
734, 0.36304,
736, 0.3755,
738, 0.38774,
740, 0.39914,
742, 0.41046,
744, 0.42119,
746, 0.42954,
748, 0.43695,
750, 0.44385,
752, 0.44958,
754, 0.45419,
756, 0.45802,
758, 0.46111,
760, 0.46323
}

#declare RS_Conifer  = spline{ linear_spline
/*
Name: Conifer
Type:  Vegetation
Class:  Trees
Subclass: Conifers
Particle Size:  Solid
Sample No.:  conifers.doc
Owner:  JHU
Wavelength Range:  All
Origin:  Spectral data from measurements by Barry Rock (VNIR/SWIR) and Jack 
Salisbury (MWIR/TIR)---see file vegetata.doc for details.
Description:  Conifer trees.  Spectra were assembled from two segments; the 
bidirectional VNIR and SWIR comprising segment one, and the hemispherical 
MWIR and TIR comprising segment two.  Both segments used needle piles to 
simulate a conifer canopy.
*/
380, 0.04436,
382, 0.04448,
384, 0.04461,
386, 0.04473,
388, 0.04486,
390, 0.04498,
392, 0.04511,
394, 0.04523,
396, 0.04536,
398, 0.04548,
400, 0.04561,
402, 0.04573,
404, 0.04585,
406, 0.04597,
408, 0.04609,
410, 0.04621,
412, 0.04634,
414, 0.04645,
416, 0.04658,
418, 0.04669,
420, 0.04682,
422, 0.04694,
424, 0.04706,
426, 0.04718,
428, 0.04729,
430, 0.04742,
432, 0.04754,
434, 0.04766,
436, 0.04778,
438, 0.0479,
440, 0.04802,
442, 0.04814,
444, 0.04826,
446, 0.04838,
448, 0.0485,
450, 0.04862,
452, 0.04874,
454, 0.04886,
456, 0.04899,
458, 0.04911,
460, 0.04923,
462, 0.04935,
464, 0.04947,
466, 0.04959,
468, 0.04971,
470, 0.04983,
472, 0.04995,
474, 0.05008,
476, 0.05019,
478, 0.05032,
480, 0.05044,
482, 0.05056,
484, 0.05068,
486, 0.0509,
488, 0.05129,
490, 0.05182,
492, 0.05249,
494, 0.05331,
496, 0.05415,
498, 0.05519,
500, 0.0565,
502, 0.05822,
504, 0.06029,
506, 0.0627,
508, 0.06611,
510, 0.06919,
512, 0.07247,
514, 0.07685,
516, 0.08065,
518, 0.08413,
520, 0.08822,
522, 0.09143,
524, 0.09435,
526, 0.09713,
528, 0.09981,
530, 0.10126,
532, 0.10271,
534, 0.10343,
536, 0.10405,
538, 0.10477,
540, 0.10496,
542, 0.10487,
544, 0.10506,
546, 0.10511,
548, 0.10487,
550, 0.10467,
552, 0.10408,
554, 0.10295,
556, 0.10197,
558, 0.10082,
560, 0.09865,
562, 0.09655,
564, 0.09421,
566, 0.09096,
568, 0.08788,
570, 0.08518,
572, 0.08268,
574, 0.0808,
576, 0.07872,
578, 0.07657,
580, 0.07459,
582, 0.07321,
584, 0.07179,
586, 0.07029,
588, 0.06932,
590, 0.06878,
592, 0.06818,
594, 0.0677,
596, 0.06764,
598, 0.06771,
600, 0.06776,
602, 0.06689,
604, 0.06524,
606, 0.06295,
608, 0.06136,
610, 0.0605,
612, 0.06007,
614, 0.05957,
616, 0.05852,
618, 0.05762,
620, 0.05718,
622, 0.05669,
624, 0.0561,
626, 0.05596,
628, 0.05579,
630, 0.05519,
632, 0.05474,
634, 0.05387,
636, 0.05238,
638, 0.05121,
640, 0.05007,
642, 0.04877,
644, 0.04758,
646, 0.04696,
648, 0.04629,
650, 0.04567,
652, 0.04522,
654, 0.04453,
656, 0.04324,
658, 0.04183,
660, 0.04157,
662, 0.04124,
664, 0.04053,
666, 0.04041,
668, 0.04065,
670, 0.0406,
672, 0.04074,
674, 0.04111,
676, 0.04154,
678, 0.04227,
680, 0.04346,
682, 0.04524,
684, 0.04748,
686, 0.05012,
688, 0.05332,
690, 0.05732,
692, 0.06426,
694, 0.07438,
696, 0.08604,
698, 0.09726,
700, 0.11105,
702, 0.12549,
704, 0.13956,
706, 0.15525,
708, 0.17241,
710, 0.18894,
712, 0.20637,
714, 0.22514,
716, 0.24336,
718, 0.26212,
720, 0.28261,
722, 0.30196,
724, 0.31972,
726, 0.33923,
728, 0.35648,
730, 0.37232,
732, 0.38896,
734, 0.40341,
736, 0.41613,
738, 0.42843,
740, 0.43986,
742, 0.44894,
744, 0.45754,
746, 0.4644,
748, 0.46984,
750, 0.47511,
752, 0.48005,
754, 0.48409,
756, 0.48724,
758, 0.4896,
760, 0.4912
}

#declare RS_Decidous  = spline{ linear_spline
/*
Name: Decidous
Type:  Vegetation
Class:  Trees
Subclass:  Deciduous
Particle Size:  Solids
Sample No.:  decidous.doc
Owner:  JHU
Wavelength Range:  All
Origin:  Spectral data from measurements by Barry Rock (VNIR) and Jack 
Salisbury (TIR)---see file vegetata.doc for details.
Description:  Decidous trees.  Spectra were assembled from two segments; the 
VNIR and SWIR comprising segment one, and the MWIR and TIR comprising 
segment two.  Both segments used leaf piles to simulate a canopy.
*/
380, 0.05436,
382, 0.05448,
384, 0.05461,
386, 0.05473,
388, 0.05486,
390, 0.05498,
392, 0.05511,
394, 0.05523,
396, 0.05536,
398, 0.05548,
400, 0.05561,
402, 0.05573,
404, 0.05585,
406, 0.05598,
408, 0.05609,
410, 0.05621,
412, 0.05634,
414, 0.05645,
416, 0.05658,
418, 0.05669,
420, 0.05682,
422, 0.05694,
424, 0.05706,
426, 0.05718,
428, 0.05729,
430, 0.05742,
432, 0.05754,
434, 0.05766,
436, 0.05778,
438, 0.0579,
440, 0.05802,
442, 0.05814,
444, 0.05826,
446, 0.05838,
448, 0.0585,
450, 0.05862,
452, 0.05874,
454, 0.05886,
456, 0.05899,
458, 0.05911,
460, 0.05923,
462, 0.05935,
464, 0.05947,
466, 0.05959,
468, 0.05971,
470, 0.05983,
472, 0.05995,
474, 0.06008,
476, 0.06019,
478, 0.06032,
480, 0.06044,
482, 0.06056,
484, 0.06068,
486, 0.0609,
488, 0.06129,
490, 0.06182,
492, 0.06249,
494, 0.06331,
496, 0.06412,
498, 0.06442,
500, 0.0652,
502, 0.06627,
504, 0.06638,
506, 0.06747,
508, 0.06856,
510, 0.0695,
512, 0.0716,
514, 0.07458,
516, 0.07735,
518, 0.08063,
520, 0.08385,
522, 0.08697,
524, 0.09125,
526, 0.09509,
528, 0.09901,
530, 0.10181,
532, 0.10373,
534, 0.10504,
536, 0.10621,
538, 0.10706,
540, 0.10688,
542, 0.10703,
544, 0.1084,
546, 0.10919,
548, 0.10928,
550, 0.10936,
552, 0.10898,
554, 0.10788,
556, 0.10653,
558, 0.10444,
560, 0.10172,
562, 0.09937,
564, 0.09687,
566, 0.0938,
568, 0.09119,
570, 0.08846,
572, 0.0855,
574, 0.08324,
576, 0.08131,
578, 0.07902,
580, 0.07775,
582, 0.07653,
584, 0.07515,
586, 0.07478,
588, 0.07452,
590, 0.07366,
592, 0.0732,
594, 0.07295,
596, 0.07239,
598, 0.07164,
600, 0.07106,
602, 0.07025,
604, 0.069,
606, 0.06756,
608, 0.06635,
610, 0.06523,
612, 0.06323,
614, 0.06203,
616, 0.06173,
618, 0.06138,
620, 0.06103,
622, 0.06106,
624, 0.06098,
626, 0.06081,
628, 0.06016,
630, 0.05916,
632, 0.05832,
634, 0.05773,
636, 0.05665,
638, 0.05575,
640, 0.05485,
642, 0.05365,
644, 0.0527,
646, 0.05215,
648, 0.05174,
650, 0.05155,
652, 0.05136,
654, 0.05057,
656, 0.04983,
658, 0.0493,
660, 0.04895,
662, 0.04856,
664, 0.04791,
666, 0.04757,
668, 0.04753,
670, 0.04782,
672, 0.04812,
674, 0.04822,
676, 0.04872,
678, 0.04936,
680, 0.05006,
682, 0.05107,
684, 0.05177,
686, 0.05294,
688, 0.05592,
690, 0.05989,
692, 0.06614,
694, 0.0763,
696, 0.08813,
698, 0.0995,
700, 0.1131,
702, 0.12877,
704, 0.14511,
706, 0.1623,
708, 0.18082,
710, 0.19917,
712, 0.21815,
714, 0.23842,
716, 0.2585,
718, 0.27913,
720, 0.30123,
722, 0.32124,
724, 0.33981,
726, 0.36068,
728, 0.37832,
730, 0.39395,
732, 0.41085,
734, 0.42611,
736, 0.4394,
738, 0.45179,
740, 0.46328,
742, 0.47254,
744, 0.48163,
746, 0.48987,
748, 0.49606,
750, 0.50184,
752, 0.50671,
754, 0.51056,
756, 0.51384,
758, 0.51668,
760, 0.51889
}

#macro rspd_aster_Release()
  #undef RS_Construction_Concrete_1
  #undef RS_Construction_Concrete_2
  #undef RS_Construction_Concrete_3
  #undef RS_Construction_Concrete_4
  #undef RS_Construction_Asphalt
  #undef RS_Construction_Asphalt_2
  #undef RS_Construction_Asphalt_3
  #undef RS_Construction_Tar
  #undef RS_Construction_Tar_2
  #undef RS_Red_smooth_faced_Brick
  #undef RS_Weathered_Red_Brick
  #undef RS_Bare_Red_Brick
  #undef RS_Cinders_ashen
  #undef RS_Plate_Window_Glass
  #undef RS_Aluminum_Metal
  #undef RS_Galvanized_Steel_Metal
  #undef RS_Oxidized_Galvanized_Steel_Metal
  #undef RS_Copper_Metal
  #undef RS_Copper_Metal_2
  #undef RS_Olive_green_paint
  #undef RS_Olive_green_gloss_paint
  #undef RS_Black_paint
  #undef RS_Black_gloss_paint
  #undef RS_Black_unspecified_rubber
  #undef RS_White_rubberized_coating
  #undef RS_White_fiberglass_unspecified_rubber
  #undef RS_Pine_Wood_1
  #undef RS_Pine_Wood_2
  #undef RS_Black_tar_paper
  #undef RS_Terra_Cotta_Tiles
  #undef RS_Tap_water
  #undef RS_Fine_Snow  
  #undef RS_Medium_Granular_Snow
  #undef RS_Ice
  #undef RS_White_Marble
  #undef RS_Frost
  #undef RS_Dry_grass
  #undef RS_Grass 
  #undef RS_Conifer
  #undef RS_Decidous
  #undef rspd_aster_Inc_Temp
#end

//=============================================================
       
#version rspd_aster_Inc_Temp;
#end // eof
